package com.ruoyi.system.controller;

import com.ruoyi.system.common.ApiResult;
import com.ruoyi.system.model.VoucherQueryRequestModel;
import com.ruoyi.system.service.VoucherQueryService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author jiuli
 * @Date 2024/2/26
 */
@RestController
@RequestMapping("/voucher")
public class VoucherQueryController {

    private final VoucherQueryService voucherQueryService;

    public VoucherQueryController(VoucherQueryService voucherQueryService) {
        this.voucherQueryService = voucherQueryService;
    }

    @PostMapping("/save")
    public ApiResult save(@RequestBody VoucherQueryRequestModel voucherQueryRequestModel){
        return voucherQueryService.save(voucherQueryRequestModel);
    }
}
