import {
    getSuppliesTemplate,
    listSuppliesTemplate,
    roleList,
    listMyluckyexcel,
    getyy
} from "@/api/ruoyi-myLuckyexcel/myluckyexcel";
import { conversionSave } from "@/api/conversion/index"
// import luckysheet from 'luckysheet'
import LuckyExcel from "luckyexcel";
//导入库export.js 这个文件是es6的，不能在普通的HTML文件直接引入js文件（虽然都是js文件，但是有区别，具体请百度es6与es5）！需要把es6转es5才可以直接引入使用！
/*import {materialList} from "@/api/ruoyi-myLuckyexcel/myluckyexcel";*/
import { v4 as uuidv4 } from "uuid";
import { exportExcel } from "../../public/exportExcel";

// import { config } from "vue/types/umd";
var fileName = "新建XLSX工作表"; //定义表名
var rule = [];
var tempId;
var uuid1;
var modify = false;
export default {
    name: "Mymodule",
    data() {
        return {
            wageMonth: "",
            //详细信息
            phone: "",
            //未导入成本材料表模板所有数据
            jsondata: "",
            //编码数据
            showMask: false,
            uuid: "",
            selectedOption: "",
            luckysheetData: "",
            luckysheetDatas: '',
            depss: [],
            fileList: [],
            VoucherForm: '',
            sum: [],
            // 查询参数
            queryParams: {
                status: 0,
            },
        };
    },
    created() {
        //刷新页面时进行的操作
        this.getList();
    },
    mounted() {
        this.init();
        fileName = "新建XLSX工作表";
    },
    methods: {
        //查询材料编码
        //手机号
        open() {
            this.$prompt("请输入用友系统的用户名", "提示", {
                confirmButtonText: "确定",
                cancelButtonText: "取消",
                inputPattern: /^(?:\+?86)?1[3-9]\d{9}$/,
                inputErrorMessage: "手机号格式不正确",
            })
                .then(({ value }) => {
                    this.$message({
                        type: "success",
                        message: "你的用户名是: " + value,
                    });
                    this.phone = value;
                    this.zhuan();
                })
                .catch(() => {
                    this.$message({
                        type: "info",
                        message: "取消输入",
                    });
                    this.showMask = false;
                });
        },
        /** 页面刷新时展示的数据*/
        getList() {
            listSuppliesTemplate(this.queryParams).then((response) => {
                response.rows.forEach((row) => {
                    if (row.templateName.includes("六矿")) {
                        row.disabled = true;
                    }
                });
                this.depss = response.rows;
            });
            getSuppliesTemplate(1248).then((response) => {
                const sysSupplies = response.rows;
                this.luckysheetDatas = JSON.parse(sysSupplies[0].templateContent);
            });
        },
        open4() {
            this.$message.error("请仔细检查所导入表");
        },
        /** Luckyexcel文档 */
        init() {
            let options = {
                container: "luckysheet", //luckysheet为容器id
                title: "",
                lang: "zh",
                showinfobar: false,
                data: [
                    {
                        name: "sheet1", //工作表名称
                        color: "", //工作表颜色
                        index: 0, //工作表索引
                        status: 1, //激活状态
                        order: 0, //工作表的下标
                        hide: 0, //是否隐藏
                        row: 50, //行数
                        column: 20, //列数
                        defaultRowHeight: 19, //自定义行高
                        defaultColWidth: 73, //自定义列宽
                        celldata: [], //初始化使用的单元格数据
                        config: {
                            merge: {}, //合并单元格
                            rowlen: {}, //表格行高
                            columnlen: {}, //表格列宽
                            rowhidden: {}, //隐藏行
                            colhidden: {}, //隐藏列
                            borderInfo: {}, //边框
                            authority: {}, //工作表保护
                        },
                    },
                ],
            };
            luckysheet.create(options);
        },

        handleSuccess(response, file, fileList) {
            //文件数量改变
            //     debugger
            // console.log('file2222',file);
            //    var param = new FormData();
            //    param.append("file", file.raw);
            //    listMyluckyexcel(param).then(res=>{
            //         console.log('11111',res)
            //    })
        },

        //工资数据后台导入成功后，数据展示到前台
        loadTableData(evt) {
            this.sum.push(evt);

            if (modify) {
                this.$confirm(
                    "再次导入将会清空表内数据,是否继续操作？",
                    "注意!!!",
                    {
                        confirmButtonText: "确定",
                        cancelButtonText: "取消",
                        type: "warning",
                    }
                )
                    .then(async () => {
                        // 确认继续后刷新页面返回模板
                        getSuppliesTemplate(this.selectedOption)
                            .then((response) => {
                                const sysSupplies = response.rows;
                                this.luckysheetData =
                                    sysSupplies[0].templateContent;
                                let json_data = JSON.parse(
                                    sysSupplies[0].templateContent
                                );
                                luckysheet.destroy();
                                luckysheet.create({
                                    container: "luckysheet", // Luckysheet 的容器元素 ID
                                    title: fileName, // Excel 文件名
                                    data: json_data, // Excel 数据
                                    allowEdit: false, //作用：是否允许前台编辑
                                    showinfobar: false, //是否显示顶部名称栏
                                    lang: "zh",
                                });
                                modify = false;
                                this.open(this.sum);
                            })
                            .then(async () => { })
                            .catch(() => { });
                    })
                    .catch(() => {
                        // 用户点击了取消按钮
                        this.$message({
                            type: "info",
                            message: "操作已取消",
                        });
                    });
            } else {
                this.open(evt);
                this.showMask = true;
                LuckyExcel(evt, (exportJson) => {
                    //获取导入表格所有数据exportJson
                    this.open(exportJson)
                        .then(async () => { })
                        .catch((error) => {
                            this.$message({
                                message: error.message,
                                type: "error",
                            });
                        })
                        .finally(() => {
                            // 导入完成后关闭遮罩层
                            this.showMask = false;
                        });
                });
            }
        },

        async handleFileChange(evt) {
            if(this.value.includes('凭证')){
                this.loadTableData(evt)
            }else{
            //组装后台接口数据
            var param = new FormData();
            param.append("file", evt);
            listMyluckyexcel(param).then((res) => {
                //导入成功
                if (res.code == 200) {
                    this.loadTableData(evt);
                } else {
                    this.$message.error("后台数据导入失败!");
                }
            });
        }
            //前台加载数据
        },
        handleOptionChange(value) {
            //根据选中的下拉选项值获取相应的信息
            getSuppliesTemplate(this.selectedOption)
                .then((response) => {
                    modify = false;
                    tempId = this.selectedOption;
                    uuid1 = this.uuid = uuidv4().substring(0, 8);
                    const sysSupplies = response.rows;
                    this.luckysheetData = sysSupplies[0].templateContent;
                    var json_data = JSON.parse(sysSupplies[0].templateContent);
                    this.jsondata = json_data;
                    roleList(value).then((response) => {
                        this.luckyrule = response.rows;
                    });
                    let suffixArr = sysSupplies[0].templateName.split(".");
                    fileName = suffixArr[0];
                    //luckysheet.destroy()
                    luckysheet.create({
                        container: "luckysheet", // Luckysheet 的容器元素 ID
                        title: fileName, // Excel 文件名
                        data: json_data, // Excel 数据
                        showinfobar: false,
                        allowEdit: false, //是否显示顶部名称栏
                        lang: "zh",
                        index: "0", //工作表索引
                        status: "1", //激活状态
                    });
                    this.value = fileName;
                })
                .catch(() => {
                    // 处理错误逻辑，这里是一个空的错误处理函数
                    this.$message.error("查询失败,发生未知错误!");
                });
        },
        initData(sum) {
            try {


                const CompositeTable = this.jsondata;

                //let sum = [];
                let body;
                let money; //工人应付工资
                let cadreMoney; //领导应付工资
                let hospital;
                let people;
                let cadrepeople;
                let Ricesupplement;
                //计算全部单位工资总和
                let moneySum = 0;
                // results.forEach((item) => {
                //     sum.push(...item.sheets);
                //     // sum.push(item)
                // });
                let newarray = [];
                for (let k = 0; k < sum.length; k++) {
                    newarray.push(sum[k].celldata);
                }
                for (let i = 0; i < newarray.length; i++) {
                    newarray[i].forEach((item) => {
                        item.Department = "";
                    });
                }
                // 遍历 newarray
                for (let i = 0; i < newarray.length; i++) {
                    let Departments = newarray[i].find(
                        (obj) =>
                            obj.v && obj.v.v && obj.v.v.includes("单位名称")
                    );

                    // 获取部门信息
                    let DepartmentRows = newarray[i].filter(
                        (obj) =>
                            obj.c &&
                            obj.c == Departments.c &&
                            obj.r > Departments.r
                    );
                    // 将部门信息作为 Map，方便后续查找
                    let DepartmentMap = new Map();
                    DepartmentRows.forEach((obj) => {
                        if (obj.v && obj.v.v) {
                            DepartmentMap.set(obj.r, obj.v.v);
                        }
                    });
                    // 遍历每个元素，查找对应部门信息
                    newarray[i].forEach((item) => {
                        let department = DepartmentMap.get(item.r);
                        if (department) {
                            item.Department = department;
                        }
                    });
                    let moneys = newarray[i].find(
                        (obj) => obj.v && obj.v.v && obj.v.v == "应付工资"
                    );
                    let cadreMoneys = newarray[i].find(
                        (obj) => obj.v && obj.v.v && obj.v.v == "干部应付工资"
                    );

                    let bodys = newarray[i].find(
                        (obj) => obj.v && obj.v.v && obj.v.v == "一孩费"
                    );
                    let cadrepeoples = newarray[i].find(
                        (obj) => obj.v && obj.v.v && obj.v.v == "干部人数"
                    );
                    let peoples = newarray[i].find(
                        (obj) => obj.v && obj.v.v && obj.v.v == "人数"
                    );
                    let hospitals = newarray[i].find(
                        (obj) => obj.v && obj.v.v && obj.v.v == "医疗补贴"
                    );
                    let Ricesupplements = newarray[i].find(
                        (obj) => obj.v && obj.v.v && obj.v.v == "班中餐"
                    );
                    if (moneys) {
                        money = newarray[i].filter(
                            (obj) =>
                                obj.c && obj.c == moneys.c && obj.r > moneys.r
                        );
                    }

                    money.forEach((item) => {
                        moneySum = moneySum + parseFloat(item.v.v);
                    });
                    //保留两位小数
                    moneySum = parseFloat(moneySum).toFixed(2);
                    if (cadreMoneys) {
                        cadreMoney = newarray[i].filter(
                            (obj) =>
                                obj.c &&
                                obj.c == cadreMoneys.c &&
                                obj.r > cadreMoneys.r
                        );
                    }
                    if (bodys) {
                        body = newarray[i].filter(
                            (obj) =>
                                obj.c && obj.c == bodys.c && obj.r > bodys.r
                        );
                    }

                    if (cadrepeoples) {
                        cadrepeople = newarray[i].filter(
                            (obj) =>
                                obj.c &&
                                obj.c == cadrepeoples.c &&
                                obj.r > cadrepeoples.r
                        );
                    }

                    if (peoples) {
                        people = newarray[i].filter(
                            (obj) =>
                                obj.c && obj.c == peoples.c && obj.r > peoples.r
                        );
                    }

                    if (hospitals) {
                        hospital = newarray[i].filter(
                            (obj) =>
                                obj.c &&
                                obj.c == hospitals.c &&
                                obj.r > hospitals.r
                        );
                    }
                    if (Ricesupplements) {
                        Ricesupplement = newarray[i].filter(
                            (obj) =>
                                obj.c &&
                                obj.c == Ricesupplements.c &&
                                obj.r > Ricesupplements.r
                        );
                    }
                }
                let heads = CompositeTable[0].celldata.filter(
                    (item) => item.c === 0 && item.r > 3
                );
                let moneys = CompositeTable[0].celldata.find(
                    (obj) => obj.v && obj.v.v && obj.v.v == "应付工资"
                );
                let bodys = CompositeTable[0].celldata.find(
                    (obj) => obj.v && obj.v.v && obj.v.v == "一孩"
                );
                let peoples = CompositeTable[0].celldata.find(
                    (obj) => obj.v && obj.v.v && obj.v.v == "人数"
                );
                let Ricesupplements = CompositeTable[0].celldata.find(
                    (obj) => obj.v && obj.v.v && obj.v.v == "班中餐"
                );
                let hospitalsHead = CompositeTable[0].celldata.find(
                    (obj) =>
                        obj.v && obj.v.v && obj.v.v == "应付工资2(医疗补贴)"
                );
                //制造原煤单元格
                let rawcoal2 = CompositeTable[0].celldata.find(
                    (obj) => obj.v && obj.v.v && obj.v.v == "3.基本生产原煤"
                );
                //制造原煤单元格
                let rawcoal = CompositeTable[0].celldata.find(
                    (obj) => obj.v && obj.v.v && obj.v.v == "5.制造费原煤"
                );
                //给定标志，false表示没匹配，匹配到后赋值true
                people.forEach((item) => {
                    item.tf = false;
                });
                money.forEach((item) => {
                    item.tf = false;
                });
                body.forEach((item) => {
                    item.tf = false;
                });
                hospital.forEach((item) => {
                    item.tf = false;
                });
                Ricesupplement.forEach((item) => {
                    item.tf = false;
                });

                //制造费洗煤应付工资1
                var zzfxm = 0;
                //基本生产洗煤
                var jbscxm = 0;
                heads.forEach((item) => {
                    if (item.v.v != "保卫科") {
                        //领导应付工资1
                        cadreMoney.forEach((obj) => {
                            if (
                                item.v.v &&
                                item.v.v.includes(obj.Department) &&
                                item.r > rawcoal.r
                            ) {
                                obj.r = item.r;
                                obj.c = moneys.c;
                                obj.tf = true;
                            }   //“制造费洗煤”特殊处理
                            if (item.v.v &&
                                item.v.v.includes("制造费洗煤") && obj.Department == "洗煤厂") {
                                {
                                    obj.r = item.r;
                                    obj.c = moneys.c;
                                    obj.tf = true;
                                    zzfxm = obj.v.v
                                }
                            }

                        });
                        //工人应付工资
                        money.forEach((obj) => {
                            if (
                                item.v.v &&
                                item.v.v.includes(obj.Department) &&
                                !obj.tf
                            ) {
                                obj.r = item.r;
                                obj.c = moneys.c;
                                obj.tf = true;
                            }
                            //“基本生产洗煤”特殊处理
                            if (item.v.v &&
                                item.v.v.includes("基本生产洗煤") && obj.Department == "洗煤厂") {
                                {
                                    obj.r = item.r;
                                    obj.c = moneys.c;
                                    obj.tf = true;
                                    jbscxm = obj.v.v;
                                }
                            }
                        });
                        //一孩费用
                        body.forEach((obj) => {
                            if (
                                item.v.v &&
                                item.v.v.includes(obj.Department) &&
                                !obj.tf
                            ) {
                                obj.r = item.r;
                                obj.c = bodys.c;
                                obj.tf = true;
                            }
                        });
                        //领导人数
                        cadrepeople.forEach((obj) => {
                            if (
                                item.v.v &&
                                item.v.v.includes(obj.Department) &&
                                item.r > rawcoal.r
                            ) {
                                obj.r = item.r;
                                obj.c = peoples.c;
                                obj.tf = true;
                            }
                            //“制造费洗煤”特殊处理
                            if (item.v.v &&
                                item.v.v.includes("制造费洗煤") && obj.Department == "洗煤厂") {
                                {
                                    obj.r = item.r;
                                    obj.c = peoples.c;
                                    obj.tf = true;
                                }
                            }

                        });
                        //工人人数
                        people.forEach((obj) => {
                            if (
                                item.v.v &&
                                item.v.v.includes(obj.Department)
                                &&
                                !obj.tf
                            ) {
                                obj.r = item.r;
                                obj.c = peoples.c;
                                obj.tf = true;
                            }
                            //“基本生产洗煤”特殊处理
                            if (item.v.v &&
                                item.v.v.includes("基本生产洗煤") && obj.Department == "洗煤厂") {
                                {
                                    obj.r = item.r;
                                    obj.c = peoples.c;
                                    obj.tf = true;
                                }
                            }
                        });

                        //医疗补贴
                        hospital.forEach((obj) => {
                            if (
                                item.v.v &&
                                item.v.v.includes(obj.Department) &&
                                !obj.tf
                            ) {
                                obj.r = item.r;
                                obj.c = hospitalsHead.c;
                                obj.tf = true;
                            }

                        });
                        //餐补
                        Ricesupplement.forEach((obj) => {
                            if (
                                item.v.v &&
                                item.v.v.includes(obj.Department) &&
                                !obj.tf
                            ) {
                                obj.r = item.r;
                                obj.c = Ricesupplements.c;
                                obj.tf = true;
                            }
                        });

                    }
                });
                //计算工人人数，如有部门有干部剔除
                people.forEach((item) => {
                    let ganbu = cadrepeople.find(
                        (obj) => obj.Department == item.Department
                    );
                    if (ganbu) {
                        item.v.v = item.v.v - ganbu.v.v;
                    }
                });
                //计算应付工资，干部工资剔除
                money.forEach((item) => {
                    let ganbu = cadreMoney.find(
                        (obj) => obj.Department == item.Department
                    );
                    if (ganbu) {
                        item.v.v = parseFloat(item.v.v - ganbu.v.v).toFixed(2);
                    }
                });

                // 对比 c 和 r 是否与 CompositeTable[0]["celldata"] 中相应对象相同
                for (let k = 0; k < CompositeTable[0]["celldata"].length; k++) {
                    //工人数
                    for (let i = 0; i < people.length; i++) {
                        if (
                            people[i].r ===
                            CompositeTable[0]["celldata"][k].r &&
                            people[i].c ===
                            CompositeTable[0]["celldata"][k].c &&
                            people[i].tf
                        ) {
                            // 如果相同，则进行替换
                            CompositeTable[0]["celldata"][k].v.v =
                                people[i].v.v;
                        }
                    }
                    //干部人数
                    for (let i = 0; i < cadrepeople.length; i++) {
                        if (
                            cadrepeople[i].r ===
                            CompositeTable[0]["celldata"][k].r &&
                            cadrepeople[i].c ===
                            CompositeTable[0]["celldata"][k].c &&
                            cadrepeople[i].tf
                        ) {
                            // 如果相同，则进行替换
                            CompositeTable[0]["celldata"][k].v.v =
                                cadrepeople[i].v.v;


                        }
                    }

                    //干部应付工资
                    for (let i = 0; i < cadreMoney.length; i++) {
                        if (!cadreMoney[i].tf) {
                            continue;
                        }
                        if (
                            cadreMoney[i].r ===
                            CompositeTable[0]["celldata"][k].r &&
                            cadreMoney[i].c ===
                            CompositeTable[0]["celldata"][k].c &&
                            cadreMoney[i].tf
                        ) {
                            // 如果相同，则进行替换
                            let vv = cadreMoney[i].v.v;
                            CompositeTable[0]["celldata"][k].v.v = parseFloat(vv).toFixed(2);
                            //设置单元格格式
                            CompositeTable[0]["celldata"][k].v.ct = {
                                "fa": "0.00",
                                "t": "n"
                            }
                        }
                    }

                    //工人应付工资
                    for (let i = 0; i < money.length; i++) {
                        if (
                            money[i].r === CompositeTable[0]["celldata"][k].r &&
                            money[i].c === CompositeTable[0]["celldata"][k].c &&
                            money[i].tf
                        ) {
                            // 如果相同，则进行替换
                            let sum = parseFloat(money[i].v.v) + parseFloat(hospital[i].v.v);
                            CompositeTable[0]["celldata"][k].v.v = sum.toFixed(2);
                        }
                    }

                    //一孩费用
                    for (let i = 0; i < body.length; i++) {
                        if (
                            body[i].r === CompositeTable[0]["celldata"][k].r &&
                            body[i].c === CompositeTable[0]["celldata"][k].c &&
                            body[i].tf
                        ) {
                            // 如果相同，则进行替换
                            CompositeTable[0]["celldata"][k].v.v = body[i].v.v;
                        }
                    }
                    //医疗补贴
                    for (let i = 0; i < hospital.length; i++) {
                        if (
                            hospital[i].r ===
                            CompositeTable[0]["celldata"][k].r &&
                            hospital[i].c ===
                            CompositeTable[0]["celldata"][k].c &&
                            hospital[i].tf
                        ) {
                            // 如果相同，则进行替换
                            CompositeTable[0]["celldata"][k].v.v =
                                hospital[i].v.v;
                        }
                    }
                    //班中餐
                    for (let i = 0; i < Ricesupplement.length; i++) {
                        if (
                            Ricesupplement[i].r ===
                            CompositeTable[0]["celldata"][k].r &&
                            Ricesupplement[i].c ===
                            CompositeTable[0]["celldata"][k].c &&
                            Ricesupplement[i].tf
                        ) {
                            // 如果相同，则进行替换
                            CompositeTable[0]["celldata"][k].v.v =
                                Ricesupplement[i].v.v;
                        }
                    }

                    //
                }

                //查找“工资表工资”位置
                const moneySumCellIndex = CompositeTable[0][
                    "celldata"
                ].findIndex((obj) => obj.v.v == "工资表工资");
                if (moneySumCellIndex >= 0) {
                    //工资表工资赋值
                    CompositeTable[0]["celldata"][moneySumCellIndex + 1].v.v =
                        moneySum;
                }

                CompositeTable[0].data = luckysheet.transToData(
                    CompositeTable[0].celldata
                );

                CompositeTable[0].calcChain = [];
                let as = CompositeTable[0].celldata.filter((item) => item.v.f);
                as.forEach((item) => {
                    let sum = {
                        index: CompositeTable[0].index,
                        r: item.r,
                        c: item.c,
                    };
                    CompositeTable[0].calcChain.push(sum);
                });

                CompositeTable[0].celldata[0].status = 1;
                // CompositeTable.forEach(item=>{
                //     item.calcChain  =[]
                //     let as=item.celldata.filter(item=>item.v.f)
                //     as.forEach(item=>{
                //         let sum={
                //          index:item.index,
                //          r:item.r,
                //          c:item.c
                //         }
                //         item.calcChain.push(sum)
                //      })
                // })
                luckysheet.create({
                    forceCalculation: true,
                    container: "luckysheet",
                    title: fileName,
                    data: CompositeTable,
                    showinfobar: false,
                    lang: "zh",
                });
                let obj = {
                    wageMonth: this.wageMonth,
                    jsonData: JSON.stringify(CompositeTable),
                }
                modify = true;
                this.showMask = false;
                conversionSave(obj).then((response) => {

                });
            } catch {
                this.open4()
                modify = true;
                this.showMask = false;
            }

        },
        //转换方法
        zhuan() {
            const CompositeTable = this.jsondata;
            const promises = this.sum.map((item) => {
                return new Promise((resolve, reject) => {
                    LuckyExcel.transformExcelToLucky(item, (lucksheetfile) => {
                        resolve(lucksheetfile);
                    });
                });
            });

            Promise.all(promises).then((results) => {
                let sum = [];
                //计算全部单位工资总和
                results.forEach((item) => {
                    sum.push(...item.sheets);
                });
                if (this.value.includes('凭证')) {
                    this.VoucherForms(sum)
                } else {
                    this.initData(sum);
                }

            });
            // .catch(error => {
            //     console.error("An error occurred while transforming Excel files:", error);
            //     // 处理错误情况
            // });
        },
        VoucherForms(sum) {
            try {


                let variableMappings = {
                    "班中餐": 'schoolLunchValue',
                    "基本养老保险": 'basicPensionValue',
                    "补充养老保险": 'supPensionValue',
                    "提取包干": 'lumpSumWithdrawalValue',
                    "工伤保险": 'workInjuryInsuranceValue',
                    "补充医疗保险": 'supMedicalValue',
                    "基本医疗保险": 'basicMedicalValue',
                    "计提工会经费": 'unionFundsValue',
                    "住房公积金": 'housingFundValue',
                    "提职工教育经费": 'employeeEducationFundsValue',
                    "失业保险": 'unemploymentInsuranceValue'
                };
                let obj = {};

                sum.forEach(item => {
                    Object.keys(variableMappings).forEach(key => {
                        if (item.name.includes(key)) {
                            obj[variableMappings[key]] = item
                        }
                    })
                });


                let schoolLunchValues = []

                function name() {
                    let names = [
                        {
                            name: '独生子女补贴',
                            value: '提取一孩补贴'
                        },
                        {
                            name: '班中餐',
                            value: '提取班中餐'
                        },
                        {
                            name: '金额',
                            value: '提取基本养老保险'
                        },
                        {
                            name: '金额',
                            value: '提取补充养老保险'
                        },
                        {
                            name: '金额',
                            value: '提取包干工资'
                        },
                        {
                            name: '金额',
                            value: '提取工伤保险'
                        },
                        {
                            name: '金额',
                            value: '提取补充医疗保险'
                        },
                        {
                            name: '金额',
                            value: '提取基本医疗保险'
                        },
                        {
                            name: '金额',
                            value: '提取工会经费'
                        },
                        {
                            name: '金额',
                            value: '提取住房公积金'
                        },
                        {
                            name: '金额',
                            value: '提取职工教育经费'
                        },
                        {
                            name: '金额',
                            value: '提取失业保险'
                        },

                    ]
                    let sums = [
                        obj.schoolLunchValue.celldata,
                        obj.schoolLunchValue.celldata,
                        obj.basicPensionValue.celldata,
                        obj.supPensionValue.celldata,
                        obj.lumpSumWithdrawalValue.celldata,
                        obj.workInjuryInsuranceValue.celldata,
                        obj.supMedicalValue.celldata,
                        obj.basicMedicalValue.celldata,
                        obj.unionFundsValue.celldata,
                        obj.housingFundValue.celldata,
                        obj.employeeEducationFundsValue.celldata,
                        obj.unemploymentInsuranceValue.celldata,
                    ]
                    let i = 0
                    names.forEach(item => {
                        if (i < 2) {
                            //结束行
                            let end = sums[i].filter(obj => obj.v && obj.v.v && obj.v.v == '合计')[2]
                            ex(sums[i], item, end, i)
                        } else {
                            let end = sums[i].find(obj => obj.v && obj.v.v && (obj.v.v.replace(/\s+/g, '') == '合计'))
                            ex(sums[i], item, end, i)
                        }
                        i++;
                    })
                }
                function ex(newarray, Begins, end, i) {
                    // ?/项目//
                    let head = newarray.find(obj => obj.v && obj.v.v && (obj.v.v.replace(/\s+/g, '') == '项目'))
                    let heads = newarray.filter(obj => obj.c == head.c)
                    //开始行
                    let Begin = newarray.find(obj => obj.v && obj.v.v && (obj.v.v == Begins.name || obj.v.v == '工会经费' || obj.v.v == '职工教育经费'))

                    newarray.forEach(item => {
                        if (item.r > Begin.r + 1 && item.r < end.r && item.c == Begin.c && item.v.v && item.v.v > 0) {
                            let Funct = {
                                classary: Begins.value,
                                money: item.v.v,
                                name: ''
                            }
                            heads.forEach(headItem => {
                                if (item.r === headItem.r) {
                                    Funct.name = heads[heads.indexOf(headItem)].v.v;
                                }
                            });
                            schoolLunchValues.push(Funct)
                        }
                    })
                }
                name(obj)

                let vouchers = {
                    //借方
                    borrow: schoolLunchValues.map(item => ({ ...item, is_debit: 0, mining: '010101' })),
                    //贷方
                    loan: schoolLunchValues.map(item => ({ ...item, is_debit: 1, mining: '010101' }))
                }
                vouchers.loan = vouchers.loan.filter(item => { return !item.name.includes('(') || !item.name.includes('（') })
                vouchers.borrow = vouchers.borrow.filter(item => { return !item.name.includes('研发') })
                let sums = ''
                getyy(JSON.stringify(vouchers)).then(res => {
                    let sums = res.data;

                    // 函数：去除字符串中的反斜杠
                    function removeBackslashes(data) {
                        return data.map(item => {
                            if (item.auxiliary_item_b) {
                                item.auxiliary_item_b = item.auxiliary_item_b.replace(/\\/g, '');
                            }
                            if (item.auxiliary_item_a) {
                                item.auxiliary_item_a = item.auxiliary_item_a.replace(/\\/g, '');
                            }
                            if (item.auxiliary_item_b !== undefined) {
                                item.auxiliary_item_b = item.auxiliary_item_b.replace(/\/.*/, '').replace(/\\/g, '');
                            }
                            if (item.auxiliary_item_a !== undefined) {
                                item.auxiliary_item_a = item.auxiliary_item_a.replace(/\/.*/, '').replace(/\\/g, '');
                            }
                            return item;
                        });
                    }

                    // 函数：处理对象中包含冒号的属性值
                    function processColonValues(data) {
                        return data.map(item => {
                            let newData = {};
                            for (let key in item) {
                                if (typeof item[key] === 'string' && item[key].includes(':')) {
                                    let [propName, propValue] = item[key].split(':').map(str => str.trim());
                                    newData[propName] = propValue;
                                } else {
                                    newData[key] = item[key];
                                }
                            }
                            return newData;
                        });
                    }

                    // 过滤并处理 sums.loan 中的属性值
                    sums.loan = processColonValues(removeBackslashes(sums.loan));

                    // 过滤并处理 sums.borrow 中的属性值
                    sums.borrow = processColonValues(removeBackslashes(sums.borrow));

                    const filteredData = this.luckysheetDatas[0].celldata.filter(
                        (obj) => obj.r === 5
                    );
                    const needKeys = [
                        "*会计主体",
                        "*核算账簿",
                        "*单据日期",
                        "*凭证类型",
                        "*制单人",
                        "*分录摘要",
                        "*币种",
                        "本币汇率类型",
                        "*本币汇率",
                        "*业务日期",
                    ];

                    // 根据需要的关键词获取对应的单元格

                    const need = needKeys.map(
                        (key) => filteredData.find((obj) => obj.v.v === key).c
                    );
                    const loan = filteredData.filter(
                        (obj) => obj.v.v === "原币贷方金额"
                    )[0].c;
                    const codes = filteredData.filter(
                        (obj) => obj.v.v === "*科目编码"
                    )[0].c;
                    const classary = filteredData.filter(
                        (obj) => obj.v.v === "凭证单摘要"
                    )[0].c;
                    const loan1 = filteredData.filter(
                        (obj) => obj.v.v === "本币贷方金额"
                    )[0].c;
                    const money = filteredData.filter(
                        (obj) => obj.v.v === "原币借方金额"
                    )[0].c;
                    const money1 = filteredData.filter(
                        (obj) => obj.v.v === "本币借方金额"
                    )[0].c;
                    // 根据特定条件筛选单元格
                    const foundObjects = filteredData.find(
                        (obj) => obj.v.v === "物料基本分类"
                    );
                    // 生成标准模板
                    const Fusion = {
                        r: "",
                        c: "",
                        v: {
                            ct: {
                                fa: "@",
                                t: "s",
                            },
                            fs: 8,
                            ff: "微软雅黑",
                            tb: 2,
                            v: "",
                            qp: 1,
                            m: "",
                        },
                    };
                    let date = new Date();
                    let formattedDate = `${date.getFullYear()}-${(date.getMonth() + 1).toString().padStart(2, '0')}-${date.getDate().toString().padStart(2, '0')}`;
                    // 创建data1数组
                    const data1 = [
                        '010101',
                        '010101',
                        formattedDate,
                        "转",
                        this.phone,
                        "转本月材料分配",
                        "CNY",
                        "E001",
                        "1.00000000",
                        this.wageMonth,
                    ];

                    let isArray = [];
                    for (let i = 0; i < sums.borrow.length; i++) {
                        let newRow1 = {
                            r: 8 + i,
                            c: money,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.borrow[i]?.money,
                                qp: Fusion.v.qp,
                                m: sums.borrow[i]?.money,
                            },
                        };
                        let newRow2 = {
                            r: 8 + i,
                            c: money1,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.borrow[i]?.money,
                                qp: Fusion.v.qp,
                                m: sums.borrow[i]?.money,
                            },
                        };
                        let newRow4 = {
                            r: 8 + i,
                            c: classary,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.borrow[i]?.classary,
                                qp: Fusion.v.qp,
                                m: sums.borrow[i]?.classary,
                            },
                        };
                        let newRow5 = {
                            r: 8 + i,
                            c: codes,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.borrow[i]?.account_code,
                                qp: Fusion.v.qp,
                                m: sums.borrow[i]?.account_code,
                            },
                        };
                        for (let l = 0; l < need.length; l++) {
                            let newRow3 = {
                                r: 8 + i,
                                c: need[l],
                                v: {
                                    ct: Fusion.v.ct,
                                    bg: Fusion.v.bg,
                                    fs: Fusion.v.fs,
                                    ff: Fusion.v.ff,
                                    ht: Fusion.v.ht,
                                    vt: Fusion.v.vt,
                                    tb: Fusion.v.tb,
                                    v: data1[l],
                                    qp: Fusion.v.qp,
                                    m: Fusion.v.m,
                                },
                            };

                            isArray.push(newRow3);
                        }
                        Object.keys(sums.borrow[i]).forEach((key) => {
                            // 判断属性名是否等于你想要对比的值
                            const matchedItem = filteredData.find((obj) => obj.v.v === key);
                            if (matchedItem) {
                                const name = matchedItem.c;
                                let newRow6 = {
                                    r: 8 + i,
                                    c: name,
                                    v: {
                                        ct: Fusion.v.ct,
                                        bg: Fusion.v.bg,
                                        fs: Fusion.v.fs,
                                        ff: Fusion.v.ff,
                                        ht: Fusion.v.ht,
                                        vt: Fusion.v.vt,
                                        tb: Fusion.v.tb,
                                        v: sums.borrow[i][key],
                                        qp: Fusion.v.qp,
                                        m: sums.borrow[i][key],
                                    },
                                };
                                isArray.push(newRow6)
                            }
                        });
                        isArray.push(newRow1, newRow2, newRow4, newRow5);
                    }
                    for (let i = 0; i < sums.loan.length; i++) {
                        let newRow1 = {
                            r: 8 + i + sums.borrow.length,
                            c: loan,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.loan[i]?.money,
                                qp: Fusion.v.qp,
                                m: sums.loan[i]?.money,
                            },
                        };
                        let newRow2 = {
                            r: 8 + i + sums.borrow.length,
                            c: loan1,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.loan[i]?.money,
                                qp: Fusion.v.qp,
                                m: sums.loan[i]?.money,
                            },
                        };
                        let newRow4 = {
                            r: 8 + i + sums.borrow.length,
                            c: classary,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.loan[i]?.classary,
                                qp: Fusion.v.qp,
                                m: sums.loan[i]?.classary,
                            },
                        };
                        let newRow5 = {
                            r: 8 + i + sums.borrow.length,
                            c: codes,
                            v: {
                                ct: Fusion.v.ct,
                                bg: Fusion.v.bg,
                                fs: Fusion.v.fs,
                                ff: Fusion.v.ff,
                                ht: Fusion.v.ht,
                                vt: Fusion.v.vt,
                                tb: Fusion.v.tb,
                                v: sums.loan[i]?.account_code,
                                qp: Fusion.v.qp,
                                m: sums.loan[i]?.account_code,
                            },
                        };
                        for (let l = 0; l < need.length; l++) {
                            let newRow3 = {
                                r: 8 + i + sums.borrow.length,
                                c: need[l],
                                v: {
                                    ct: Fusion.v.ct,
                                    bg: Fusion.v.bg,
                                    fs: Fusion.v.fs,
                                    ff: Fusion.v.ff,
                                    ht: Fusion.v.ht,
                                    vt: Fusion.v.vt,
                                    tb: Fusion.v.tb,
                                    v: data1[l],
                                    qp: Fusion.v.qp,
                                    m: Fusion.v.m,
                                },
                            };

                            isArray.push(newRow3);
                        }
                        Object.keys(sums.loan[i]).forEach((key) => {
                            // 判断属性名是否等于你想要对比的值

                            // 否则，在 filteredData 中查找匹配的项
                            let matchedItem = filteredData.find((obj) => obj.v.v === key);
                            if (matchedItem) {
                                const name = matchedItem.c;
                                let newRow6 = {
                                    r: 8 + i + sums.borrow.length,
                                    c: name,
                                    v: {
                                        ct: Fusion.v.ct,
                                        bg: Fusion.v.bg,
                                        fs: Fusion.v.fs,
                                        ff: Fusion.v.ff,
                                        ht: Fusion.v.ht,
                                        vt: Fusion.v.vt,
                                        tb: Fusion.v.tb,
                                        v: sums.loan[i][key],
                                        qp: Fusion.v.qp,
                                        m: sums.loan[i][key],
                                    },
                                };
                                isArray.push(newRow6)
                            }
                        });
                        isArray.push(newRow1, newRow2, newRow4, newRow5);
                    }
                    isArray.forEach(item => {
                        if (item.c == foundObjects.c) {
                            item.c = filteredData.filter(
                                (obj) => obj.v.v === "物料基本分类"
                            )[1].c;
                        }
                    })
                    this.luckysheetDatas[0].celldata.push(...isArray);
                    luckysheet.create({
                        container: "luckysheet", // Luckysheet 的容器元素 ID
                        title: fileName, // Excel 文件名
                        allowEdit: false, //作用：是否允许前台编辑
                        data: this.luckysheetDatas, // Excel 数据
                        showinfobar: false, //是否显示顶部名称栏
                        lang: "zh",

                    })
                    modify = true;
                    this.showMask = false;

                });
            } catch {
                modify = true;
                this.showMask = false;
                this.open4()
            }
        },
        handleExport: debounce(function () {
            // handleExport
            exportExcel(luckysheet.getAllSheets(), fileName);
        }, 500),
    },
};

// debounce函数定义
function debounce(func, delay) {
    let timer;
    return function () {
        const context = this;
        const args = arguments;
        clearTimeout(timer);
        timer = setTimeout(function () {
            func.apply(context, args);
        }, delay);
    };
}
function getKeyByValue(map, value) {
    for (let [key, val] of map) {
        if (val === value) {
            return key;
        }
        if (Array.isArray(val) && val.includes(value)) {
            return key;
        }
    }
}
function generateUUID() {
    let array = new Uint32Array(4);
    window.crypto.getRandomValues(array);
    return array.join("-");
}
