// 工资汇总
import request from "@/utils/request";
// 新增

export function conversionSave(data) {
    return request({
        url: "/conversion/save",
        method: "post",
        data: data,
    });
}
// 工资汇总列表
export function conversionGetWagesData(query) {
    return request({
        url: "/conversion/getWagesData",
        method: "post",
        data: query,
    });
}
// 修改
export function conversionUpdate(data) {
    return request({ url: "/conversion/update", method: "post", data });
}
export function getWagesDataById(id) {
    return request({
        url: `/conversion/getWagesDataById/${id}`,
        method: "get",
    });
}

//唐山矿工资转换
export function surface(data) {
    return request({
        url: "/wages/calculate/surface",
        method: "post",
        data: data,
    });
}

//获取最近的公式
export function getRecentFormulas(mineId) {
    return request({ 
        url: `/conversion/recentFormulas/${mineId}`, 
        method: "get"
       
    });
}

//=======林西矿接口
//
export function importLxWagesExcel(data) {
    return request({
        url: "/wages/lxWages",
        method: "post",
        headers: {
            "Content-Type": "multipart/form-data",
        },
        data: data,
    });
 
}


//林西矿工资汇总
export function lxSummary(data) {
  return request({
    url: "/wages/lxSummary",
    method: "post",
    data: data,
});

}


//对照表接口
export function compilationExcel(data) {
    return request({
        url: "/wages/compilation/excel",
        method: "post",
        headers: {
            "Content-Type": "multipart/form-data",
        },
        data: data,
    });
}

//对照表列表查询
export function getWagesCompilationList() {
    return request({ 
    url: "/wages/compilation/list", 
    method: "get" 
    });
}
