import request from '@/utils/request'


// 特殊表（填写数据）的导入接口
export function power(data) {
    return request({
        url: '/power',
        method: 'post',
        data: data
    })
}

export function powerall(data) {
    return request({
        url: '/power/all',
        method: 'post',
        headers: {
            "Content-Type": "application/json",
        },
        data: data
    })
}
//展示前端所需要数据的接口
export function powerdata(data) {
    return request({
        url: `/power?mineId=${data.mineId} &date=${data.date}`,
        method: 'get',
        // params: data
    })
}

// 电力表的对照表的导入接口
export function cExcel(data) {
    return request({
        url: '/power/cExcel',
        method: 'post',
        headers: {
            "Content-Type": "multipart/form-data",
        },
        data: data
    })
}

// 电力表的详细数据的导入接口
export function dExcel(data) {
    return request({
        url: '/power/dExcel',
        method: 'post',
        headers: {
            "Content-Type": "multipart/form-data",
        },
        data: data
    })
}  
