package com.ruoyi.system.controller;

import com.ruoyi.system.mapper.SalaryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

@RestController
public class ConfigSaveController {

    @Autowired
    SalaryMapper salaryMapper;


    @PostMapping("/test/save")
    public void save() {
        Map<String,Object> map = new HashMap<>();
        map.put("org","项目,部门名称");
        map.put("personCount","人数");
        map.put("salary","应付工资");
        map.put("medicalSubsidy","应付工资2(医疗补贴)");
        map.put("sumSalary","应付工资合计,工资合计");
        map.put("oldInsurance","基本养老保险");
        map.put("annuity","年金");
        map.put("singleSupplyMedicalInsurance","");
        map.put("medicalInsurance","基本医疗保险");
        map.put("supplyMedicalInsurance","补充医疗保险");
        map.put("birthInsurance","生育保险");
        map.put("unemploymentInsurance","失业保险");
        map.put("injuryInsurance","工伤保险");
        map.put("companyHouseFund","企业住房公积金");
        map.put("houseFund","住房公积金");
        map.put("laborUnionDues","工会经费");
        map.put("edufFees","提取职教费,培训费");
        map.put("oneChild","一孩,一孩保健");
        map.put("lunch","班中餐");
        map.put("longAccountInsurance","长户险");
        map.put("honorMoney","荣誉金");
        map.put("warmSubsidy","取暖补贴");
        map.put("heatPreventSubsidy","防暑降温,降温防暑费");
        map.forEach((k,v)-> salaryMapper.insertMap(k,v));

    }
}
