package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;

import com.ruoyi.system.service.ImportExpenseSourceService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RestController
public class ImportExpenseSourceController {

    private final ImportExpenseSourceService importExpenseSourceService;

    public ImportExpenseSourceController(ImportExpenseSourceService importExpenseSourceService) {
        this.importExpenseSourceService = importExpenseSourceService;
    }

    @PostMapping("/expense/source")
    public AjaxResult expenseSource(@RequestParam("multipartFile")MultipartFile multipartFile) {
        return importExpenseSourceService.expenseSource(multipartFile);
    }
}
