package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.model.newrule.NewRuleRequestModel;
import com.ruoyi.system.service.SalaryCurrentRuleService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class SalaryCurrentRuleController {

    private final SalaryCurrentRuleService salaryCurrentRuleService;

    public SalaryCurrentRuleController( SalaryCurrentRuleService salaryCurrentRuleService) {
        this.salaryCurrentRuleService = salaryCurrentRuleService;
    }

    @PostMapping("/current/rule/salary")
    public AjaxResult getCurrentRuleSalary(@RequestBody List<NewRuleRequestModel> newRuleSalaryRequestModelList){
        return  salaryCurrentRuleService.getCurrentRuleSalary(newRuleSalaryRequestModelList);
    }
}
