package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @author haiwe
 * @date 2024/7/5
 */
public interface AsiccSuppliesMapper {

    List<ActSupplies> selectByCodeAndMineId(@Param("mineId") String mineId, @Param("codes") Set<String> codes);

    ActSupplies selectByCodes(@Param("codes") String codes);

    ActSupplies selectByOneLevel(@Param("oneLevel") String oneLevel);

    List<ActSuppliesMaterialCode> selectByMineId(@Param("mineId") String mineId);

    void selectByCode(@Param("code") String code);

    List<ActSupplies> select1();

    List<ActSupplies> select2();

    List<ActSuppliesDetails> select();

    ActSupplies selectByNum();

    ActSupplies selectById(@Param("id") Object sid);

    List<ActSupplies> selectLevelInfo();
}
