package com.ruoyi.system.mapper;

import com.ruoyi.system.model.wages.dao.WagesCompilationDAO;
import com.ruoyi.system.model.wages.dao.WagesCompilationExcelDAO;
import com.ruoyi.system.model.wages.dao.WagesDetailsExcelDAO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haiwe
 * @date 2024/6/7
 */
public interface WagesCompilationMapper {

    //void insert(WagesCompilationDAO wagesCompilationDAO);

    void insertBatch(WagesCompilationExcelDAO wagesCompilationExcelDAO);

    List<WagesCompilationExcelDAO> list();

    List<WagesCompilationExcelDAO> selectByMineIdAndType(@Param("mineId") String mineId, @Param("type") String type);


    WagesCompilationExcelDAO select(@Param("mineId") String mineId, @Param("type") String type);


    WagesCompilationExcelDAO selectByMineIdAndTypeAndVersionId(@Param("mineId")String mineId, @Param("type")String type, @Param("versionId") Integer versionId);

    List<WagesCompilationExcelDAO> selectByComparisonId(Integer comparisonId);
}
