package com.ruoyi.system.mapper;

import com.ruoyi.system.model.wages.dao.*;
import com.ruoyi.system.model.wages.vo.WagesOverviewOriginalDataVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 2024/4/28
 */
@Repository
public interface WagesMapper {

    void insertDetailsOriginal(@Param("accList") List<WagesDetailsOriginalExcelDAO> wagesDetList, @Param("date") String date);

    void insertWagesOverviewOriginal(@Param("accList") List<WagesOverviewOriginalExcelDAO> wagesOveList, @Param("date") String date);

    List<WagesOverviewOriginalDataVO> queryList();

    List<WagesDetailsOriginalExcelDAO> detailsSelect();

    void deleteDetailsOriginal(@Param("month") String month, @Param("year") String year);

    void deleteWagesOverviewOriginal(@Param("month") String month, @Param("year") String year);

    void deleteOverviewToDate(@Param("date") String date);

    void deleteDetailsToDate(@Param("date") String date);

    WagesCompilationExcelDAO selectComparationToVersionId(String s);
}
