package com.ruoyi.system.model.power.dao;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author haiwe
 * @date 2024/7/18
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LxPower {
    /** 类别 */
    @JsonProperty("leibie")
    private String category;

    /** 合计 */
    @JsonProperty("heji")
    private String total;

    /** 峰电 */
    @JsonProperty("fengdian")
    private String peakElectric;

    /** 谷电 */
    @JsonProperty("gudian")
    private String valleyElectric;

    /** 尖电 */
    @JsonProperty("jiandian")
    private String sharpElectric;

    /** 平电 */
    @JsonProperty("pingdian")
    private String flatElectric;

    /** 项目 */
    @JsonProperty("xiangmu")
    private String item;

    /** 导入时间 */
    private String importTime;
}
