package com.ruoyi.system.model.wages.dao;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 2024/6/6
 */
// 林西财务工资表
    @Data
public class LinXiFinanceWagesSurface {
    @ExcelProperty(value = "部门名称",index = 0)
    private String dept;
    @ExcelProperty(value = "人数", index = 1)
    private BigDecimal numberOfPeople;
    @ExcelProperty(value = "工资合计", index = 2)
    private BigDecimal totalSalary;
    @ExcelProperty(value = "班中餐", index = 3)
    private BigDecimal classLunch;
    @ExcelProperty(value = "一孩保健", index = 4)
    private BigDecimal childHealthCare;
    @ExcelProperty(value = "保健费", index = 5)
    private BigDecimal healthExpenses;
    @ExcelProperty(value = "住宿补贴", index = 6)
    private BigDecimal accommodationSubsidy;
    @ExcelProperty(value = "荣誉金", index =7 )
    private BigDecimal honoraryGold;
    @ExcelProperty(value = "降温防暑费", index = 8)
    private BigDecimal coolingAndHeatstrokePreventionFees;
    @ExcelProperty(value = "生日补贴", index = 9)
    private BigDecimal birthdaySubsidy;
    @ExcelProperty(value = "月票", index = 10)
    private BigDecimal monthlyTicket;
    @ExcelProperty(value = "护理费", index = 11)
    private BigDecimal nursingExpenses;
    @ExcelProperty(value = "营养餐", index = 12)
    private BigDecimal nutritionalMeals;
    @ExcelProperty(value = "党组织工作经费", index = 13)
    private BigDecimal partyOrganizationWorkFunds;
    @ExcelProperty(value = "培训费", index = 14)
    private BigDecimal trainingFees;
    @ExcelProperty(value = "其它费用1", index = 15)
    private BigDecimal otherExpenses1;
    @ExcelProperty(value = "其它费用1.1", index = 16)
    private BigDecimal otherExpenses1_1;
    @ExcelProperty(value = "其它费用1.2", index = 17)
    private BigDecimal otherExpenses1_2;
    @ExcelProperty(value = "其它费用2", index = 18)
    private BigDecimal otherExpenses2;
    @ExcelProperty(value = "伙食补贴", index = 19)
    private BigDecimal mealAllowance;
    @ExcelProperty(value = "其它费用4", index = 20)
    private BigDecimal otherExpenses4;
    @ExcelProperty(value = "宣传费用", index = 21)
    private BigDecimal promotionExpenses;
    @ExcelProperty(value = "司机补贴", index = 22)
    private BigDecimal driverSubsidies;
    @ExcelProperty(value = "困难补助", index = 23)
    private BigDecimal subsidyThoseFinancialDifficulties;
    @ExcelProperty(value = "费用合计", index = 24)
    private BigDecimal totalExpenses;
    @ExcelProperty(value = "应付工资", index = 25)
    private BigDecimal payableWages;
    @ExcelProperty(value = "扣款合计", index = 26)
    private BigDecimal totalDeduction;
    @ExcelProperty(value = "实付工资", index = 27)
    private BigDecimal paidWages;
    @ExcelProperty(value = "矿付", index = 28)
    private BigDecimal miningPayment;
}
