package com.ruoyi.system.model.wages.dao;

import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;

/**
 * 2024/4/27
 */
// 工资原始详情表  转换excel  sheet1
public class WagesDetailsOriginalExcelSheet1DAO {
    // 年
    @ExcelProperty(index = 0)
    private String year;
    // 月
    @ExcelProperty(index = 1)
    private String month;
    // 单位名称
    @ExcelProperty(index = 2)
    private String unitName;
    // 人数
    @ExcelProperty(index = 3)
    private Integer peopleCount;
    // 应付工资
    @ExcelProperty(index = 4)
    private BigDecimal wagesPayable;
    // 房租
    @ExcelProperty(index = 5)
    private BigDecimal houseRent;
    // 住宿
    @ExcelProperty(index = 6)
    private BigDecimal accommodation;
    // 暖气费
    @ExcelProperty(index = 7)
    private BigDecimal heatingFee;
    // 工会会费
    @ExcelProperty(index = 8)
    private BigDecimal tradeUnionDues;
    // 赔偿扣款
    @ExcelProperty(index = 9)
    private BigDecimal compensationDeduction;
    // 其他扣款
    @ExcelProperty(index = 10)
    private BigDecimal otherDeductions;
    // 互助医疗
    @ExcelProperty(index = 11)
    private BigDecimal mutualMedicalAid;
    // 通讯费
    @ExcelProperty(index = 12)
    private BigDecimal communicationFee;
    // 税金1
    @ExcelProperty(index = 13)
    private BigDecimal tax1;
    // 税金2
    @ExcelProperty(index = 14)
    private BigDecimal tax2;
    // 养老保险
    @ExcelProperty(index = 15)
    private BigDecimal pensionInsurance;
    // 失业保险
    @ExcelProperty(index = 16)
    private BigDecimal unemploymentInsurance;
    // 医疗保险
    @ExcelProperty(index = 17)
    private BigDecimal medicalInsurance;
    // 年金
    @ExcelProperty(index = 18)
    private BigDecimal annuity;
    // 住房公积金
    @ExcelProperty(index = 19)
    private BigDecimal housingProvidentFund;
    // 企业公积金
    @ExcelProperty(index = 20)
    private BigDecimal enterpriseFund;
    // 年金个税
    @ExcelProperty(index = 21)
    private BigDecimal annuityIncomeTax;

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public Integer getPeopleCount() {
        return peopleCount;
    }

    public void setPeopleCount(Integer peopleCount) {
        this.peopleCount = peopleCount;
    }

    public BigDecimal getWagesPayable() {
        return wagesPayable;
    }

    public void setWagesPayable(BigDecimal wagesPayable) {
        this.wagesPayable = wagesPayable;
    }

    public BigDecimal getHouseRent() {
        return houseRent;
    }

    public void setHouseRent(BigDecimal houseRent) {
        this.houseRent = houseRent;
    }

    public BigDecimal getAccommodation() {
        return accommodation;
    }

    public void setAccommodation(BigDecimal accommodation) {
        this.accommodation = accommodation;
    }

    public BigDecimal getHeatingFee() {
        return heatingFee;
    }

    public void setHeatingFee(BigDecimal heatingFee) {
        this.heatingFee = heatingFee;
    }

    public BigDecimal getTradeUnionDues() {
        return tradeUnionDues;
    }

    public void setTradeUnionDues(BigDecimal tradeUnionDues) {
        this.tradeUnionDues = tradeUnionDues;
    }

    public BigDecimal getCompensationDeduction() {
        return compensationDeduction;
    }

    public void setCompensationDeduction(BigDecimal compensationDeduction) {
        this.compensationDeduction = compensationDeduction;
    }

    public BigDecimal getOtherDeductions() {
        return otherDeductions;
    }

    public void setOtherDeductions(BigDecimal otherDeductions) {
        this.otherDeductions = otherDeductions;
    }

    public BigDecimal getMutualMedicalAid() {
        return mutualMedicalAid;
    }

    public void setMutualMedicalAid(BigDecimal mutualMedicalAid) {
        this.mutualMedicalAid = mutualMedicalAid;
    }

    public BigDecimal getCommunicationFee() {
        return communicationFee;
    }

    public void setCommunicationFee(BigDecimal communicationFee) {
        this.communicationFee = communicationFee;
    }

    public BigDecimal getTax1() {
        return tax1;
    }

    public void setTax1(BigDecimal tax1) {
        this.tax1 = tax1;
    }

    public BigDecimal getTax2() {
        return tax2;
    }

    public void setTax2(BigDecimal tax2) {
        this.tax2 = tax2;
    }

    public BigDecimal getPensionInsurance() {
        return pensionInsurance;
    }

    public void setPensionInsurance(BigDecimal pensionInsurance) {
        this.pensionInsurance = pensionInsurance;
    }

    public BigDecimal getUnemploymentInsurance() {
        return unemploymentInsurance;
    }

    public void setUnemploymentInsurance(BigDecimal unemploymentInsurance) {
        this.unemploymentInsurance = unemploymentInsurance;
    }

    public BigDecimal getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(BigDecimal medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public BigDecimal getAnnuity() {
        return annuity;
    }

    public void setAnnuity(BigDecimal annuity) {
        this.annuity = annuity;
    }

    public BigDecimal getHousingProvidentFund() {
        return housingProvidentFund;
    }

    public void setHousingProvidentFund(BigDecimal housingProvidentFund) {
        this.housingProvidentFund = housingProvidentFund;
    }

    public BigDecimal getEnterpriseFund() {
        return enterpriseFund;
    }

    public void setEnterpriseFund(BigDecimal enterpriseFund) {
        this.enterpriseFund = enterpriseFund;
    }

    public BigDecimal getAnnuityIncomeTax() {
        return annuityIncomeTax;
    }

    public void setAnnuityIncomeTax(BigDecimal annuityIncomeTax) {
        this.annuityIncomeTax = annuityIncomeTax;
    }
}
