package com.ruoyi.system.model.wages.dao;

import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;

/**
 * 2024/4/27
 */
// 工资大略原始表  转换excel
public class WagesOverviewOriginalExcelDAO {
    // 年
    @ExcelProperty(index = 0)
    private String year;
    // 月
    @ExcelProperty(index = 1)
    private String month;
    // 单位编码
    @ExcelProperty(index = 2)
    private String unitCode;
    // 单位名称
    @ExcelProperty(index = 3)
    private String unitName;
    // 工人人数
    @ExcelProperty(index = 4)
    private Integer workerCount;
    // 工人应付工资
    @ExcelProperty(index = 5)
    private BigDecimal workerWagesPayable;
    // 干部人数
    @ExcelProperty(index = 6)
    private Integer cadreCount;
    // 干部应付工资
    @ExcelProperty(index = 7)
    private BigDecimal cadreWagesPayable;
    // 人数合计
    @ExcelProperty(index = 8)
    private Integer totalCount;
    // 应付工资合计
    @ExcelProperty(index = 9)
    private BigDecimal totalWagesPayable;

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public Integer getWorkerCount() {
        return workerCount;
    }

    public void setWorkerCount(Integer workerCount) {
        this.workerCount = workerCount;
    }

    public BigDecimal getWorkerWagesPayable() {
        return workerWagesPayable;
    }

    public void setWorkerWagesPayable(BigDecimal workerWagesPayable) {
        this.workerWagesPayable = workerWagesPayable;
    }

    public Integer getCadreCount() {
        return cadreCount;
    }

    public void setCadreCount(Integer cadreCount) {
        this.cadreCount = cadreCount;
    }

    public BigDecimal getCadreWagesPayable() {
        return cadreWagesPayable;
    }

    public void setCadreWagesPayable(BigDecimal cadreWagesPayable) {
        this.cadreWagesPayable = cadreWagesPayable;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public BigDecimal getTotalWagesPayable() {
        return totalWagesPayable;
    }

    public void setTotalWagesPayable(BigDecimal totalWagesPayable) {
        this.totalWagesPayable = totalWagesPayable;
    }
}