package com.ruoyi.system.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.model.wages.dao.WagesConversionData;
import com.ruoyi.system.model.wages.dto.WagesParamsDto;
import com.ruoyi.system.model.wages.vo.WagesConversionDataVO;

import java.util.List;

/**
 * 2024/5/11
 */
public interface WagesConversionService {

    void save(WagesConversionDataVO wagesConversionDataVO);

    List<WagesConversionData> selectWagesConversionDataList(WagesParamsDto wagesParamsDto);

    void update(WagesConversionData wagesConversionData);

    WagesConversionData selectWagesConversionDataById(int id);

    AjaxResult recentFormulas(String mineId);

    void deleteWagesDataById(int id);
}
