package com.ruoyi.system.service.impl.saveOnTheLargeScreenPower;

import com.ruoyi.system.model.power.dao.PowerClassificationQueryDao;
import com.ruoyi.system.model.power.dto.PowerDisplayDto;

import java.util.List;

/**
 * 2024/8/28
 */
public class QianJiaYing implements SaveOnTheLargeScreen{
    @Override
    public List<PowerDisplayDto> save(String mindId, List<PowerDisplayDto> powerDisplayDtoList, List<PowerClassificationQueryDao> dao) {
        powerDisplayDtoList.parallelStream().forEach(v -> {
            for (PowerClassificationQueryDao queryDao : dao) {
                if (v.getClassificationName() != null && v.getClassificationName().equals(queryDao.getClassificationName())) {
                    v.setLevelOneClassification(queryDao.getLevelOneClassification());
                    v.setLevelTwoClassification(queryDao.getLevelTwoClassification());
                    v.setLevelThreeClassification(queryDao.getLevelThreeClassification());
                    break;
                }
            }
        });
        return powerDisplayDtoList;
    }
}
