package com.ruoyi.system.constant;


/**
 * @Author jiuli
 * @Date 2024/3/19
 */
public class ApiConstant {
    /**
     * 凭证列表查询
     */
    public static final String VOUCHER_LIST_QUERY = "/yonbip/fi/ficloud/openapi/voucher/queryVouchers";
    /**
     * 发送预警通知
     */
    public static final String SEND_WARNNING_NOTICE = "/yonbip/uspace/rest/openapi/idempotent/alarm/notify/push";
    /**
     * 根据通知id查询工作通知
     */
    public static final String QUERY_WORK_NOTICE_BY_ID = "/yonbip/uspace/rest/yhttoken/openapi/get/work_notify/info";
    /**
     * 根据通知id查询预警通知
     */
    public static final String QUERY_WARNNING_NOTICE_BY_ID = "/yonbip/uspace/rest/yhttoken/openapi/get/alarm_notify/info";
    /**
     * 查询工作和预警通知未读数
     */
    public static final String QUERY_WORK_OR_WARNNING_UNREAD_COUNT = "/yonbip/uspace/rest/yhttoken/openapi/notifycount";
    /**
     * 工作通知未读数
     */
    public static final String WORK_UNREAD_COUNT = "/yonbip/uspace/rest/work/notify/unread/count";
    /**
     * 幂等发送工作通知
     */
    public static final String IDEMPOTENT_SEND_WORK_NOTICE = "/yonbip/uspace/rest/openapi/idempotent/work/notify/push";
    /**
     * 预警通知标为已读
     */
    public static final String WARNING_NOTICE_READ = "/yonbip/uspace/rest/openapi/patch/alarm_notify/read";
    /**
     * 工作通知标为已读
     */
    public static final String WORK_NOTICE_READ = "/yonbip/uspace/rest/openapi/patch/work_notify/read";
    /**
     * 根据待办的业务参数获取用户id
     */
    public static final String GET_USERID_BY_TODO = "/yonbip/uspace/todo/query/businessKey";
    /**
     * 待办消息待办数
     */
    public static final String TODO_COUNT = "/yonbip/uspace/rest/open/yhttoken/todo/query/todocount";
    /**
     * 发送待办消息
     */
    public static final String SEND_TODO_MESSAGE = "/yonbip/uspace/rest/openapi/idempotent/todo/push";
    /**
     * 撤回(删除)待办消息
     */
    public static final String DELETE_TODO_MESSAGE = "/yonbip/uspace/rest/openapi/idempotent/todo/push/revocation";
    /**
     * 标记待办消息为已处理
     */
    public static final String TODO_MEAASGE_PROCESSED = "/yonbip/uspace/rest/openapi/idempotent/todo/push/done";
    /**
     * 辅助核算项详情查询
     */
    public static final String AUXILIARY_ACCOUNTING_DETAIL_QUERY = "/yonbip/fi/fipub/multidimension_ext/getapimultidimension";
    /**
     * 自定义档案维护列表查询
     */
    public static final String CUSTOM_DOCUMENT_MAINTENANCE_LIST_QUERY = "/yonbip/digitalModel/customerdoc/list";

    /**
     * 项目列表查询
     */
    public static final String YFXM_URL = "/yonbip/digitalModel/project/list";
}
