export function fanMine(money, codess, code, CompositeTable, name) {

    money.forEach(entry => {
        //类别
        entry.v.name = '';
        //编码
        entry.code = '';
        entry.row = ''
        //对比编码之后的列数
        entry.coloumn = ''
        //所在行
        entry.index = entry.r
    });
    // 匹配赋值
    for (let i = 0; i < money.length; i++) {
        if (money[i].r == code[i].r) {
            money[i].code = code[i].v.v;
        }
        if (money[i].r == name[i].r) {
            money[i].v.name = name[i].v.v;
        }
    }
    money = money.filter(obj => obj.code);  // 删除 m.code 为空的元素
    //对比编码
    codess.forEach(code => {
        let codemin = String(code.codeMin).length;
        money.forEach(m => {
            let columnIdString = String(m.code);
            let moneycode = columnIdString.substring(0, codemin);
            if (moneycode <= String(code.codeMax) && moneycode>=String(code.codeMin) && (m.v.name.includes('洗煤')? '02'==code.varietyOfCoal : '01'==code.varietyOfCoal )) {
                m.coloumn = code.materialCodeType * 1;
            }
        });
    });
    money.forEach(item => {
        if ((item.code.startsWith('64') ||item.code.startsWith('65')) && item.v.name.includes('洗煤')) {
            item.v.name = '制造费用-洗煤'
        }
    })
    money.forEach(item => {
        let categories = item.v.name;
        if (categories.includes('--') || categories.includes('-')) {
            categories = categories.replace(/--/g, '-');
        } else {
            categories += '-';
        }
        item.v.name = categories;
        return item;
    });
    money.forEach(item => {
        if (item.v.name !== undefined) {
            let index = item.v.name.indexOf("-");
            if (index !== -1) {
                let substrBeforeDash = item.v.name.slice(0, index);
                let DepartColumns = CompositeTable[0]["celldata"].flat().filter(obj => {
                    if (obj.v && obj.v.v && typeof obj.v.v === 'string') {
                        return obj.v.v.includes(item.v.name.slice(0, index));
                    }
                    return false;
                })[0];

                if (DepartColumns && DepartColumns.r) {
                    let index = item.v.name.indexOf("-");
                    if (index !== -1) {
                        let substrAfterDash = item.v.name.slice(index + 1);
                        switch (substrAfterDash) {
                            case '':
                                item.row = DepartColumns.r;
                                break;
                            case '原煤':
                                item.row = DepartColumns.r + 1;
                                break;
                            case '洗煤':
                                item.row = DepartColumns.r + 2;
                                break;
                            case '选煤':
                                item.row = DepartColumns.r + 3;
                                break;
                            case '厂区服务':
                                item.row = DepartColumns.r + 1;
                                break;
                            case '加工修理':
                                item.row = DepartColumns.r + 4;
                                break;
                            default:
                            // 默认情况
                        }
                    }
                }
            }
        }
    });
    money.forEach((item) => {
        item.c = item.coloumn ? item.coloumn * 1 : 10;
        item.r = item.row ? item.row * 1 : '';
    });
    // 同一个单元格，金额相加
    let seen = new Map();
    let duplicateData = []
    money.forEach((obj) => {
        let key = obj.r + ',' + obj.c;
        if (seen.has(key)) {
            let existingObj = seen.get(key);
            existingObj.v.v = Number(existingObj.v.v) + Number(obj.v.v);
            existingObj.v.m = existingObj.v.v.toString();
            existingObj.index.push(obj.index);
        } else {
            obj.index = [obj.index];
            seen.set(key, obj);
        }
    });

    seen.forEach(obj => {
        if (Math.abs(obj.v.v) > 0 || Math.abs(parseInt(obj.v.m)) > 0) {
            duplicateData.push(obj);
        }
    });
    duplicateData = duplicateData.map(item => {
        return {
            ...item,
            v: {
                ...item.v,
                v: isNaN(item.v.v) ? item.v.v : Number(item.v.v).toFixed(2),
                m: Number(item.v.m).toFixed(2)
            }
        };
    });
    
    // 替换原始数据中的重复单元格数据
    //金额所在列和行，去模板表中查找，如果行列一致则替换
    for (let i = 0; i < duplicateData.length; i++) {
        //     // 对比 c 和 r 是否与 CompositeTable[0]["celldata"] 中相应对象相同
        for (let k = 0; k < CompositeTable[0]["celldata"].length; k++) {
            if (duplicateData[i].r === CompositeTable[0]["celldata"][k].r && duplicateData[i].c === CompositeTable[0]["celldata"][k].c) {
                // 如果相同，则进行替换
                CompositeTable[0]["celldata"][k] = duplicateData[i];
            }
        }
    }
    duplicateData = duplicateData.filter(obj => obj.row !== '')
    let duplicateDatas = {
        duplicateData: duplicateData,
        CompositeTable: CompositeTable
    }
    return duplicateDatas
}