export function hongMine(money, Department, code, name, codess, newArrayhong) {
    money.forEach(element => {
        //对比编码之后的列数
        element.coloumn = ''
        //编码
        element.code = ''
        //类别名称
        element.v.name = ''
        //部门
        element.v.Department = ''
        element.row = ''
        element.index = element.r
    });
    
    for (let i = 0; i < money.length; i++) {
        //编码列
        if (money[i].r == code[i].r) {
            money[i].code = code[i].v.v;
        }
        //部门列
        if (money[i].r == Department[i].r) {
            money[i].v.Department = Department[i].v.v;
        }
        //来源分类列
        if (money[i].r == name[i].r) {
            money[i].v.name = name[i].v.v;
        }
    }
    money = money.filter(obj => obj.v.name == '成本费用')
    //如果部门里包含洗煤，就给他放到洗煤里
    money.forEach((item) => {
        if (item.v.Department.includes('洗煤')) {
            item.v.Department = '洗煤厂'

        }
    });
    codess.forEach(code => {
        let codemin = String(code.codeMin).length;
        money.forEach(m => {
            let columnIdString = String(m.code);
            let moneycode = columnIdString.substring(0, codemin);
            if (moneycode <= String(code.codeMax) && moneycode>=String(code.codeMin)) {
                m.coloumn = code.materialCodeType * 1;
            }
        });
    });

    money.forEach(obj => {
        let matchedItems = newArrayhong[0]["celldata"].filter(item => item.v && item.v.v && item.v.v.includes(obj.v.Department));
        if (matchedItems.length > 0) {
            obj.row = matchedItems[matchedItems.length - 1].r;
        } else {
            obj.row = '';
        }
    });
    for (let k = 0; k < money.length; k++) {
        let columnIdString = String(money[k].code);
        let Officeexpenses = columnIdString.substring(0, 4)
        if (Officeexpenses == '6601' && money[k].row < 17) {
            money[k].coloumn = 9
        }
    }
    money.forEach((item) => {

        item.c = item.coloumn ? item.coloumn * 1 : 10;
        item.r = item.row ? item.row * 1 : ''
    });
    // 同一个单元格，金额相加
    let seen = new Map();
    let duplicateData = []
    money.forEach((obj) => {
        let key = obj.r + ',' + obj.c;
        if (seen.has(key)) {
            let existingObj = seen.get(key);
            existingObj.v.v = Number(existingObj.v.v) + Number(obj.v.v);
            existingObj.index.push(obj.index);
        } else {
            obj.index = [obj.index];
            seen.set(key, obj);
        }
    });

    seen.forEach(obj => {
        if (Math.abs(obj.v.v) > 0 || Math.abs(parseInt(obj.v.m)) > 0) {
            duplicateData.push(obj);
        }
    });
    duplicateData = duplicateData.map(item => {
        return {
            ...item,
            v: {
                ...item.v,
                v: isNaN(item.v.v) ? item.v.v : Number(item.v.v).toFixed(2),
                m: Math.abs(isNaN(item.v.v) ? item.v.v : Number(item.v.v).toFixed(2)),

            }
        };
    });
    // duplicateData.forEach(item => {
    //     const Fusion = {
    //         "r": '',
    //         "c": '',
    //         "v": {
    //             "ct": {
    //                 "fa": "@",
    //                 "t": "s"
    //             },
    //             "fs": 8,
    //             "ff": "微软雅黑",
    //             "tb": 2,
    //             "v": "",
    //             "qp": 1,
    //             "m": ""
    //         }
    //     };
    //     Fusion.r=item.r
    //     Fusion.c=item.c
    //     Fusion.v.v=item.v.v
    //     Fusion.v.m=item.v.v
    //     newArrayhong[0]["celldata"].push(Fusion)
    // })
    // 替换原始数据中的重复单元格数据
    // 金额所在列和行，去模板表中查找，如果行列一致则替换
    for (let i = 0; i < duplicateData.length; i++) {
        //     // 对比 c 和 r 是否与 newArrayhong[0]["celldata"] 中相应对象相同
        for (let k = 0; k < newArrayhong[0]["celldata"].length; k++) {
            if (duplicateData[i].r === newArrayhong[0]["celldata"][k].r && duplicateData[i].c === newArrayhong[0]["celldata"][k].c) {
                // 如果相同，则进行替换
                newArrayhong[0]["celldata"][k] = duplicateData[i];
            }
        }
    }
    let matchedItems = newArrayhong[0]["celldata"].filter(item => item.v && (typeof item.v.v === 'string' && item.v.v.includes('办公费用') || typeof item.v.m === 'string' && item.v.m.includes('办公费用')))[0].c;

    let other = newArrayhong[0]["celldata"].filter(item => item.v && (typeof item.v.v === 'string' && item.v.v == '其他材料' || typeof item.v.m === 'string' && item.v.m == '其他材料'))[0].c;
    let duplicateJSON = JSON.stringify(duplicateData)
    duplicateJSON = JSON.parse(duplicateJSON)
    duplicateJSON.forEach(obj => {
        if (obj.c === matchedItems) {
            obj.v.name = '管理费用-';
            obj.c = other;
        } else if (obj.v.Department === '洗煤厂') {
            obj.v.name = '制造费用-选混煤';
            obj.c=other
        } else {
            obj.v.name = '基本生产-原煤';
        }
    });
    let duplicateDatas = {
        duplicateData: duplicateJSON,
        CompositeTable: newArrayhong
    }
    return duplicateDatas
}