
const state = {
    nickName: null
  }
  
  const mutations = {
    SET_NICKNAME(state, nickname) {
      state.nickName = nickname
    }
  }
  
  const actions = {
    setNickName({ commit }, nickname) {
      commit('SET_NICKNAME', nickname)
    }
  }
  
  export default {
    namespaced: true,
    state,
    mutations,
    actions
  }