// 给唐山汇总表放数据
function setDataV(itemName, CName, data, CConfig, itemConfig) {
    let getValue = (arr, keys) => {
        if (!arr || !keys){return null}
        let shu = arr[0];
        if(shu['类别'] === '合计'){
            shu = arr.find((item) => item['编码'] === '50000')
        }
        if(!shu){return null}
        let key = ''
        if (keys.length === 1) {
            key = keys[0]
        } else if (keys.length > 1){
            let flag = keys.slice(0, keys.length - 1).some((item) => shu[item])
            if (!flag && shu[keys[keys.length - 1]]) {
                key = keys[keys.length - 1];
            }
        }
        if (shu && key && shu[key]) {
            return shu[key]
        } else { return null }
    }

    if (!CConfig[CName]) { return null }
    let lastName = itemName.split(',')
    lastName = lastName[lastName.length - 1]
    // 特殊处理的 情况
    if (itemConfig[itemName]) {
        let sum = 0
        itemConfig[itemName].forEach((item) => {
            let funV = null;
            if (data[item]) {
                if(item === '合计'){
                }
                funV = getValue(data[item], CConfig[CName])
            } else {
                let obj = Object.entries(data).find(([key]) => {
                    if (key.includes(item)) {
                        return true
                    }
                })
                if (obj) { funV = getValue(obj[1], CConfig[CName]) }
            }
            if (funV) { sum = Number(sum) + Number(funV) }
        })
        if (sum > 0) {
            return sum
        } else { return null }
    }
    else if (data[itemName] || data[lastName]) {
        return getValue(data[itemName] || data[lastName], CConfig[CName])
    } else {
        return null
    }
}
export function setTs(TSdL, luckyData, CConfig, itemConfig) {
    //第一步先处理后端返回的数据
    let newData = {};
    TSdL.data.forEach((item) => {
        item.details.forEach(el => {
            let obj = {}
            Object.entries(el).forEach(([K, V]) => {
                if (V) {
                    if (K.startsWith('a')) {
                        obj[item.datas[K] && item.datas[K].replace(',', '-').replace('，', '-')] = V;
                    } else {
                        obj[K] = V;
                    }
                }
            })
            if (obj['类别']) {
                if (newData[obj['类别']]) {
                    newData[obj['类别']].push(obj)
                } else {
                    newData[obj['类别']] = [obj]
                }
            }
        });
    })
    let data = luckyData[0].data
    for (let i = 2; i < data.length; i++) {
        let itemName = data[i][0] && data[i][0].v && data[i][0].v.replaceAll(/\s+/g, "");
        if(itemName === '合计'){break}
        let row = data[i];
        row.forEach((item, index) => {
            let cName = data[1] && data[1][index] && data[1][index].v;
            if (cName && itemName) {
                let v = setDataV(itemName, cName, newData, CConfig, itemConfig)
                if (v) {
                    data[i][index].bg = 'red'
                    v = Number(Number(v).toFixed(2))
                    data[i][index].v = v
                    data[i][index].m = v
                }
            }
        })
    }
    luckysheet.destroy();
    luckyData[0].celldata = luckysheet.transToCellData(data);
    luckyData[0].calcChain = [];
    let as = luckyData[0].celldata.filter(
        (item) => item.v.f
    );
    as.forEach((item) => {
        let sum = {
            index: luckyData[0].index,
            r: item.r,
            c: item.c,
        };
        luckyData[0].calcChain.push(sum);
    });
    delete luckyData[0].data;
    luckysheet.create({
        container: "luckysheet", // Luckysheet 的容器元素 ID
        lang: 'zh',
        data: luckyData, // Excel 数据
        forceCalculation:true
    });
    // luckysheet.refreshFormula();
}
export function jxdfxt(luckysheets) {
    let data = luckysheets.find(item => {
        return ['填写数据'].includes(item.name)
    })

    data.data = luckysheet.transToData(data.celldata)
    let arr = []
    data.data.forEach(row => {
        let obj = {}
        row.forEach((ceil, i) => {
            if (ceil && ceil.v) {
                obj[i] = ceil.v
            } else if (ceil && ceil.ct && ceil.ct.s) {
                obj[i] = ceil.ct.s.map(item => item.v).join('')
            }
        })
        if (Object.keys(obj).length) {
            arr.push(obj)
        }
    })
    let yiKey = {};
    let erKey = {};
    let newaasss = []
    let shuju = []
    let sj = (old, yi, er) => {
        if (!old[1]) { old[1] = newaasss[newaasss.length - 1]['原始数据'][1] }
        newaasss.push({ '原始数据': old, '第一级数据': yi, '第二级数据': er })
        let obj = {}
        Object.entries(old).forEach(([key, value]) => {
            let yikey = yi[key];
            let erkey = er[key];
            if (yikey && erkey) {
                let objkey = `${yikey}-${erkey}`
                objkey = objkey.replaceAll('"', '').replace(/[\r\n]/g, "").replaceAll(" ", '')
                obj[objkey] = value;
            } else if (yikey && !erkey) {
                yikey = yikey.replaceAll('"', '').replaceAll("↵", '').replaceAll(" ", '')
                obj[yikey] = value;
            } else if (erkey && !yikey) {
                let xy = ''
                for (let i = key; i > 0; i--) {
                    if (yi[i]) {
                        xy = `${yi[i]}`
                        break;
                    }
                }
                let objkey = ''
                if (xy) {
                    objkey = `${xy}-${erkey}`
                } else {
                    objkey = erkey
                }
                objkey = objkey.replaceAll('"', '').replace(/[\r\n]/g, "").replaceAll(" ", '')
                obj[objkey] = value;
            }
        })
        if (Object.keys(obj).length) {
            shuju.push(obj)
        }
    }
    for (let rowi = 3; rowi < arr.length; rowi++) {
        let RowObj = arr[rowi];
        if (RowObj[1] && RowObj[1] !== '项目') {
            if (!arr[rowi - 2][0] || arr[rowi - 2][0] === '序号') {
                yiKey = arr[rowi - 2];
            }
            erKey = arr[rowi - 1];
        }
        if (RowObj[0] !== '序号' && (RowObj[0] || RowObj[2])) {
            sj(RowObj, yiKey, erKey)
        }
    }
    let obj = {}
    shuju.forEach(item => {
        Object.keys(item).forEach(key => {
            obj[key] = null
        })
    });
    let zui = shuju.map(item => {
        return Object.assign(JSON.parse(JSON.stringify(obj)), item)
    })
    let transformedJSON = {};
    Object.keys(obj).forEach((key, index) => {
        transformedJSON[key] = `a${index + 1}`;
    });
    let transformed = zui.map(el => {
        return Object.fromEntries(Object.entries(el).map(([key, value]) => {
            return [transformedJSON[key], value];
        }))
    })
    let swapped = {};
    for (const key in transformedJSON) {
        swapped[transformedJSON[key]] = key;
    }
    let trans = {
        transformedJSON: swapped,
        transformed: transformed
    }
    return trans

}


