package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.model.rule.RuleRequestModel;
import com.ruoyi.system.service.RuleService;
import org.springframework.web.bind.annotation.*;

@RestController
public class RuleController {

    private final RuleService ruleService;

    public RuleController(RuleService ruleService) {
        this.ruleService = ruleService;
    }

    @PostMapping("/rule/save")
    public AjaxResult save(@RequestBody RuleRequestModel ruleRequestModel){
        return ruleService.save(ruleRequestModel);
    }

    @GetMapping("/rule/query/{id}")
    public AjaxResult query(@PathVariable("id") String ruleRequestModel){
        return ruleService.query(ruleRequestModel);
    }

    @PostMapping("/rule/updateToId")
    public AjaxResult updateToId(@RequestBody RuleRequestModel ruleRequestModel){
        return ruleService.updateToId(ruleRequestModel);
    }
    @PostMapping("/rule/delete")
    public AjaxResult delete(@RequestBody RuleRequestModel ruleRequestModel){
        return ruleService.deleteById(ruleRequestModel);
    }
}
