package com.ruoyi.system.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.model.SalaryPowerUnifyExposeRequestModel;
import com.ruoyi.system.service.SalaryPowerUnifyExposeService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class SalaryPowerUnifyExposeController {

    private final SalaryPowerUnifyExposeService salaryPowerUnifyExposeService;

    public SalaryPowerUnifyExposeController(SalaryPowerUnifyExposeService salaryPowerUnifyExposeService) {
        this.salaryPowerUnifyExposeService = salaryPowerUnifyExposeService;
    }

    /**
     * 工资电力统一接口
     *
     * @return
     */
    @PostMapping("/unify/expose")
    public AjaxResult expose(@RequestBody SalaryPowerUnifyExposeRequestModel salaryPowerUnifyExposeRequestModel ) {
         return salaryPowerUnifyExposeService.unify(salaryPowerUnifyExposeRequestModel);
    }
}
