package com.ruoyi.system.mapper;

import com.ruoyi.system.model.power.dao.LxPower;
import com.ruoyi.system.model.power.dao.Power;
import com.ruoyi.system.model.power.dao.PowerWagesDetails;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author haiwe
 * @date 2024/6/26
 */

public interface PowerWagesDeMapper {

    void insertBatch( @Param("accList") List<PowerWagesDetails> powerList, @Param("mineId") String mineId,@Param("date") String date);

    Boolean add(@Param("accList") List<Power> powerDetails, @Param("comparisonId") Integer comparisonId, @Param("importTime") String importTime, @Param("mineId") String mineId);

    List<PowerWagesDetails> selectByMineIdAndDate(@Param("mineId") String mineId, @Param("date") String date);

    List<PowerWagesDetails> selectByCId(int comparisonId);

    void deleteByDateAndMineIdAndComparisonId(@Param("mineId") String mineId, @Param("date") String date,@Param("comparisonId") Integer comparisonId);

    Boolean insert(@Param("accList") List<LxPower> lxPowers);

    void deleteByDate(@Param("importTime") String importTime);
}
