package com.ruoyi.system.mapper;

import com.ruoyi.system.model.wages.dao.WagesConversionData;
import com.ruoyi.system.model.wages.vo.WagesConversionDataVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 2024/5/11
 */
@Repository
public interface WagesConversionMapper {
    void save(@Param("jsonData") String jsonData , @Param("yearMonth") String yearMonth, @Param("value") String value, @Param("mineId") String mineId);
    
    List<WagesConversionData> selectWagesConversionDataList(@Param("n") int n, @Param("size") int size, @Param("date") String date,@Param("mineId")String mineId);
    
    void update(@Param("id")int id, @Param("jsonData") String jsonData);
    
    WagesConversionData selectWagesConversionDataById(int id);

    void deleteFromConversionToDate(@Param("date") String yearMonth);

    List<WagesConversionDataVO> selectWagesValueAndDate(@Param("id") String mineId);

    void deleteWagesDataById(int id);
}
