package com.ruoyi.system.model.power.dao;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 2024/7/30
 * 电力展示保存---连接数据库
 */
@Data
public class PowerDisplayDao {
    // 年月
    private String dateColumn;
    // 矿id
    private String mindId;
    // 项目名
    private String classificationName;
    // 总电量
    private BigDecimal powerTotal;
    // 电量-尖
    private BigDecimal powerTip;
    // 电量-峰
    private BigDecimal powerPeak;
    // 电量-平
    private BigDecimal powerFlat;
    // 电量-谷
    private BigDecimal powerValley;
    // 总电费
    private BigDecimal electricityTotal;
    // 电费-尖
    private BigDecimal electricityTip;
    // 电费-峰
    private BigDecimal electricityPeak;
    // 电费-平
    private BigDecimal electricityFlat;
    // 电费-谷
    private BigDecimal electricityValley;
    // 电价-尖
    private BigDecimal electricityPriceTip;
    // 电价-峰
    private BigDecimal electricityPricePeak;
    // 电价-平
    private BigDecimal electricityPriceFlat;
    // 电价-谷
    private BigDecimal electricityPriceValley;
    // 一级分类
    private String levelOneClassification;
    // 二级分类
    private String levelTwoClassification;

    public PowerDisplayDao(String dateColumn, String mindId, String classificationName, BigDecimal powerTotal, BigDecimal powerTip, BigDecimal powerPeak, BigDecimal powerFlat, BigDecimal powerValley, BigDecimal electricityPriceTip, BigDecimal electricityPricePeak, BigDecimal electricityPriceFlat, BigDecimal electricityPriceValley, String levelOneClassification, String levelTwoClassification) {
        this.dateColumn = dateColumn;
        this.mindId = mindId;
        this.classificationName = classificationName;
        this.powerTotal = powerTotal;
        this.powerTip = powerTip;
        this.powerPeak = powerPeak;
        this.powerFlat = powerFlat;
        this.powerValley = powerValley;
        this.electricityPriceTip = electricityPriceTip;
        this.electricityPricePeak = electricityPricePeak;
        this.electricityPriceFlat = electricityPriceFlat;
        this.electricityPriceValley = electricityPriceValley;
        this.levelOneClassification = levelOneClassification;
        this.levelTwoClassification = levelTwoClassification;
    }

    public PowerDisplayDao() {
    }
}
