package com.ruoyi.system.model.salary;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import java.io.Serializable;

@ExcelIgnoreUnannotated
public class DhtSalaryModel implements Serializable {

    @ExcelProperty("单位名称")
    private String org;

    @ExcelProperty("人数")
    private String personCount;

    @ExcelProperty("实发工资")
    private String salary;

    @ExcelProperty("养老保险")
    private String oldInsurance;

    @ExcelProperty("医疗保险")
    private String medicalInsurance;

    @ExcelProperty("失业保险")
    private String unemploymentInsurance;

    @ExcelProperty("年金")
    private String annuity;

    @ExcelProperty("班中餐")
    private String lunch;

    @ExcelProperty("一孩贴")
    private String  oneChild;

    @ExcelProperty("医疗贴")
    private String medicalSubsidy;

    @ExcelProperty("荣誉金")
    private String honorMoney;

    @ExcelProperty("取暖费")
    private String warmSubsidy;

    @ExcelProperty(value = "统计工资")
    private String sumSalary;

    public String getOrg() {
        return org;
    }

    public void setOrg(String org) {
        this.org = org;
    }

    public String getPersonCount() {
        return personCount;
    }

    public void setPersonCount(String personCount) {
        this.personCount = personCount;
    }

    public String getSalary() {
        return salary;
    }

    public void setSalary(String salary) {
        this.salary = salary;
    }

    public String getOldInsurance() {
        return oldInsurance;
    }

    public void setOldInsurance(String oldInsurance) {
        this.oldInsurance = oldInsurance;
    }

    public String getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(String medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public String getUnemploymentInsurance() {
        return unemploymentInsurance;
    }

    public void setUnemploymentInsurance(String unemploymentInsurance) {
        this.unemploymentInsurance = unemploymentInsurance;
    }

    public String getAnnuity() {
        return annuity;
    }

    public void setAnnuity(String annuity) {
        this.annuity = annuity;
    }

    public String getLunch() {
        return lunch;
    }

    public void setLunch(String lunch) {
        this.lunch = lunch;
    }

    public String getOneChild() {
        return oneChild;
    }

    public void setOneChild(String oneChild) {
        this.oneChild = oneChild;
    }

    public String getMedicalSubsidy() {
        return medicalSubsidy;
    }

    public void setMedicalSubsidy(String medicalSubsidy) {
        this.medicalSubsidy = medicalSubsidy;
    }

    public String getHonorMoney() {
        return honorMoney;
    }

    public void setHonorMoney(String honorMoney) {
        this.honorMoney = honorMoney;
    }

    public String getWarmSubsidy() {
        return warmSubsidy;
    }

    public void setWarmSubsidy(String warmSubsidy) {
        this.warmSubsidy = warmSubsidy;
    }

    public String getSumSalary() {
        return sumSalary;
    }

    public void setSumSalary(String sumSalary) {
        this.sumSalary = sumSalary;
    }
}
