package com.ruoyi.system.model.salary;


import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;


import java.io.Serializable;


@ExcelIgnoreUnannotated
public class SalaryExcelModel implements Serializable {

    //项目
    @ExcelProperty(value = "项目")
    private String org;
    //人数
    @ExcelProperty(value = "人数")
    private String personCount;
    //应付工资
    @ExcelProperty(value = "应付工资")
    private String salary;
    //医疗补贴
    @ExcelProperty(value = "应付工资2(医疗补贴)")
    private String medicalSubsidy;
    //应付工资合计
    @ExcelProperty(value = "应付工资合计")
    private String sumSalary;
    //基本养老保险
    @ExcelProperty(value = "基本养老保险")
    private String oldInsurance;
    //年金
    @ExcelProperty(value = "年金")
    private String annuity;
    //一次性补缴的补充医疗保险（按上年度0.5%）
    private String singleSupplyMedicalInsurance;
    //基本医疗保险
    @ExcelProperty(value = "基本医疗保险")
    private String medicalInsurance;
    //补充医疗保险
    @ExcelProperty(value = "补充医疗保险")
    private String supplyMedicalInsurance;
    //生育保险
    @ExcelProperty(value = "生育保险")
    private String birthInsurance;
    //费用来源
    @ExcelProperty(value = "费用来源")
    private String sourceExpenses;
    //失业保险
    @ExcelProperty(value = "失业保险")
    private String unemploymentInsurance;
    //工伤保险
    @ExcelProperty(value = "工伤保险")
    private String injuryInsurance;
    //企业住房公积金
    @ExcelProperty(value = "企业住房公积金")
    private String companyHouseFund;
    //住房公积金
    @ExcelProperty(value = "住房公积金")
    private String houseFund;
    //工会经费
    @ExcelProperty(value = "工会经费")
    private String laborUnionDues;
    //提取职教费
    @ExcelProperty(value = "提取职教费")
    private String edufFees;
    //一孩
    @ExcelProperty(value = "一孩")
    private String oneChild;
    //班中餐
    @ExcelProperty(value = "班中餐")
    private String lunch;
    //长户险
    @ExcelProperty(value = "长户险")
    private String longAccountInsurance;
    //荣誉金
    @ExcelProperty(value = "荣誉金")
    private String honorMoney;
    //取暖补贴
    @ExcelProperty(value = "取暖补贴")
    private String warmSubsidy;
    //防暑降温
    @ExcelProperty(value = "防暑降温")
    private String heatPreventSubsidy;
    //所属矿
    @ExcelProperty(value = "所属矿")
    private String belongToCoal;

    private String creator;

    private String modify;

    private String salaryDate;

    public String getOrg() {
        return org;
    }

    public void setOrg(String org) {
        this.org = org;
    }

    public String getPersonCount() {
        return personCount;
    }

    public void setPersonCount(String personCount) {
        this.personCount = personCount;
    }

    public String getSalary() {
        return salary;
    }

    public void setSalary(String salary) {
        this.salary = salary;
    }

    public String getMedicalSubsidy() {
        return medicalSubsidy;
    }

    public void setMedicalSubsidy(String medicalSubsidy) {
        this.medicalSubsidy = medicalSubsidy;
    }

    public String getSumSalary() {
        return sumSalary;
    }

    public void setSumSalary(String sumSalary) {
        this.sumSalary = sumSalary;
    }

    public String getOldInsurance() {
        return oldInsurance;
    }

    public void setOldInsurance(String oldInsurance) {
        this.oldInsurance = oldInsurance;
    }

    public String getAnnuity() {
        return annuity;
    }

    public void setAnnuity(String annuity) {
        this.annuity = annuity;
    }

    public String getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(String medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public String getSupplyMedicalInsurance() {
        return supplyMedicalInsurance;
    }

    public void setSupplyMedicalInsurance(String supplyMedicalInsurance) {
        this.supplyMedicalInsurance = supplyMedicalInsurance;
    }

    public String getUnemploymentInsurance() {
        return unemploymentInsurance;
    }

    public void setUnemploymentInsurance(String unemploymentInsurance) {
        this.unemploymentInsurance = unemploymentInsurance;
    }

    public String getInjuryInsurance() {
        return injuryInsurance;
    }

    public void setInjuryInsurance(String injuryInsurance) {
        this.injuryInsurance = injuryInsurance;
    }

    public String getHouseFund() {
        return houseFund;
    }

    public void setHouseFund(String houseFund) {
        this.houseFund = houseFund;
    }

    public String getLaborUnionDues() {
        return laborUnionDues;
    }

    public void setLaborUnionDues(String laborUnionDues) {
        this.laborUnionDues = laborUnionDues;
    }

    public String getEdufFees() {
        return edufFees;
    }

    public void setEdufFees(String edufFees) {
        this.edufFees = edufFees;
    }

    public String getOneChild() {
        return oneChild;
    }

    public void setOneChild(String oneChild) {
        this.oneChild = oneChild;
    }

    public String getLunch() {
        return lunch;
    }

    public void setLunch(String lunch) {
        this.lunch = lunch;
    }

    public String getBirthInsurance() {
        return birthInsurance;
    }

    public void setBirthInsurance(String birthInsurance) {
        this.birthInsurance = birthInsurance;
    }

    public String getSourceExpenses() {
        return sourceExpenses;
    }

    public void setSourceExpenses(String sourceExpenses) {
        this.sourceExpenses = sourceExpenses;
    }

    public String getCompanyHouseFund() {
        return companyHouseFund;
    }

    public void setCompanyHouseFund(String companyHouseFund) {
        this.companyHouseFund = companyHouseFund;
    }

    public String getLongAccountInsurance() {
        return longAccountInsurance;
    }

    public void setLongAccountInsurance(String longAccountInsurance) {
        this.longAccountInsurance = longAccountInsurance;
    }

    public String getHonorMoney() {
        return honorMoney;
    }

    public void setHonorMoney(String honorMoney) {
        this.honorMoney = honorMoney;
    }

    public String getWarmSubsidy() {
        return warmSubsidy;
    }

    public void setWarmSubsidy(String warmSubsidy) {
        this.warmSubsidy = warmSubsidy;
    }

    public String getHeatPreventSubsidy() {
        return heatPreventSubsidy;
    }

    public void setHeatPreventSubsidy(String heatPreventSubsidy) {
        this.heatPreventSubsidy = heatPreventSubsidy;
    }

    public String getBelongToCoal() {
        return belongToCoal;
    }

    public void setBelongToCoal(String belongToCoal) {
        this.belongToCoal = belongToCoal;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModify() {
        return modify;
    }

    public void setModify(String modify) {
        this.modify = modify;
    }

    public String getSalaryDate() {
        return salaryDate;
    }

    public void setSalaryDate(String salaryDate) {
        this.salaryDate = salaryDate;
    }

    public String getSingleSupplyMedicalInsurance() {
        return singleSupplyMedicalInsurance;
    }

    public void setSingleSupplyMedicalInsurance(String singleSupplyMedicalInsurance) {
        this.singleSupplyMedicalInsurance = singleSupplyMedicalInsurance;
    }

}
