package com.ruoyi.system.model.wages.dao;

import java.math.BigDecimal;

/**
 * 2024/4/27
 */
// 工资原始详情表  转换excel  sheet2
public class WagesDetailsOriginalExcelDAO {
    private String sskId;

    public String getSskId() {
        return sskId;
    }

    public void setSskId(String sskId) {
        this.sskId = sskId;
    }

    private String id;
    // 年
    private String year;
    // 月
    private String month;
    // 单位名称
    private String unitName;
    // 人数
    private Integer peopleCount;
    // 应付工资
    private BigDecimal wagesPayable;
    // 房租
    private BigDecimal houseRent;
    // 住宿
    private BigDecimal accommodation;
    // 暖气费
    private BigDecimal heatingFee;
    // 工会会费
    private BigDecimal tradeUnionDues;
    // 赔偿扣款
    private BigDecimal compensationDeduction;
    // 其他扣款
    private BigDecimal otherDeductions;
    // 互助医疗
    private BigDecimal mutualMedicalAid;
    // 通讯费
    private BigDecimal communicationFee;
    // 税金1
    private BigDecimal tax1;
    // 税金2
    private BigDecimal tax2;
    // 养老保险
    private BigDecimal pensionInsurance;
    // 失业保险
    private BigDecimal unemploymentInsurance;
    // 医疗保险
    private BigDecimal medicalInsurance;
    // 年金
    private BigDecimal annuity;
    // 住房公积金
    private BigDecimal housingProvidentFund;
    // 企业公积金
    private BigDecimal enterpriseFund;
    // 年金个税
    private BigDecimal annuityIncomeTax;
    // 代扣合计
    private BigDecimal totalWithholding;
    // 净支工资
    private BigDecimal netSalary;
    // 一孩费
    private BigDecimal oneChildFee;
    // 医疗补贴
    private BigDecimal medicalSubsidy;
    // 保健费
    private BigDecimal healthCareFee;
    // 班中餐
    private BigDecimal classMealFee;
    // 肥皂费
    private BigDecimal soapFee;
    // 护理费
    private BigDecimal nursingFee;
    // 防暑补贴
    private BigDecimal heatstrokePreventionSubsidy;
    // 取暖补贴
    private BigDecimal heatingSubsidy;
    // 稿费
    private BigDecimal manuscriptFee;
    // 司机出车补贴
    private BigDecimal driverAllowance;
    // 毕业生安家费
    private BigDecimal graduateSettlementFee;
    // 一次性伤残补助
    private BigDecimal oneTimeDisabilitySubsidy;
    // 讲课考务费
    private BigDecimal lectureAndExamFee;
    // 其他补贴
    private BigDecimal otherSubsidies;
    // 代付合计
    private BigDecimal totalPayment;
    // 工资总支款
    private BigDecimal totalSalaryDisbursement;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public Integer getPeopleCount() {
        return peopleCount;
    }

    public void setPeopleCount(Integer peopleCount) {
        this.peopleCount = peopleCount;
    }

    public BigDecimal getWagesPayable() {
        return wagesPayable;
    }

    public void setWagesPayable(BigDecimal wagesPayable) {
        this.wagesPayable = wagesPayable;
    }

    public BigDecimal getHouseRent() {
        return houseRent;
    }

    public void setHouseRent(BigDecimal houseRent) {
        this.houseRent = houseRent;
    }

    public BigDecimal getAccommodation() {
        return accommodation;
    }

    public void setAccommodation(BigDecimal accommodation) {
        this.accommodation = accommodation;
    }

    public BigDecimal getHeatingFee() {
        return heatingFee;
    }

    public void setHeatingFee(BigDecimal heatingFee) {
        this.heatingFee = heatingFee;
    }

    public BigDecimal getTradeUnionDues() {
        return tradeUnionDues;
    }

    public void setTradeUnionDues(BigDecimal tradeUnionDues) {
        this.tradeUnionDues = tradeUnionDues;
    }

    public BigDecimal getCompensationDeduction() {
        return compensationDeduction;
    }

    public void setCompensationDeduction(BigDecimal compensationDeduction) {
        this.compensationDeduction = compensationDeduction;
    }

    public BigDecimal getOtherDeductions() {
        return otherDeductions;
    }

    public void setOtherDeductions(BigDecimal otherDeductions) {
        this.otherDeductions = otherDeductions;
    }

    public BigDecimal getMutualMedicalAid() {
        return mutualMedicalAid;
    }

    public void setMutualMedicalAid(BigDecimal mutualMedicalAid) {
        this.mutualMedicalAid = mutualMedicalAid;
    }

    public BigDecimal getCommunicationFee() {
        return communicationFee;
    }

    public void setCommunicationFee(BigDecimal communicationFee) {
        this.communicationFee = communicationFee;
    }

    public BigDecimal getTax1() {
        return tax1;
    }

    public void setTax1(BigDecimal tax1) {
        this.tax1 = tax1;
    }

    public BigDecimal getTax2() {
        return tax2;
    }

    public void setTax2(BigDecimal tax2) {
        this.tax2 = tax2;
    }

    public BigDecimal getPensionInsurance() {
        return pensionInsurance;
    }

    public void setPensionInsurance(BigDecimal pensionInsurance) {
        this.pensionInsurance = pensionInsurance;
    }

    public BigDecimal getUnemploymentInsurance() {
        return unemploymentInsurance;
    }

    public void setUnemploymentInsurance(BigDecimal unemploymentInsurance) {
        this.unemploymentInsurance = unemploymentInsurance;
    }

    public BigDecimal getMedicalInsurance() {
        return medicalInsurance;
    }

    public void setMedicalInsurance(BigDecimal medicalInsurance) {
        this.medicalInsurance = medicalInsurance;
    }

    public BigDecimal getAnnuity() {
        return annuity;
    }

    public void setAnnuity(BigDecimal annuity) {
        this.annuity = annuity;
    }

    public BigDecimal getHousingProvidentFund() {
        return housingProvidentFund;
    }

    public void setHousingProvidentFund(BigDecimal housingProvidentFund) {
        this.housingProvidentFund = housingProvidentFund;
    }

    public BigDecimal getEnterpriseFund() {
        return enterpriseFund;
    }

    public void setEnterpriseFund(BigDecimal enterpriseFund) {
        this.enterpriseFund = enterpriseFund;
    }

    public BigDecimal getAnnuityIncomeTax() {
        return annuityIncomeTax;
    }

    public void setAnnuityIncomeTax(BigDecimal annuityIncomeTax) {
        this.annuityIncomeTax = annuityIncomeTax;
    }

    public BigDecimal getTotalWithholding() {
        return totalWithholding;
    }

    public void setTotalWithholding(BigDecimal totalWithholding) {
        this.totalWithholding = totalWithholding;
    }

    public BigDecimal getNetSalary() {
        return netSalary;
    }

    public void setNetSalary(BigDecimal netSalary) {
        this.netSalary = netSalary;
    }

    public BigDecimal getOneChildFee() {
        return oneChildFee;
    }

    public void setOneChildFee(BigDecimal oneChildFee) {
        this.oneChildFee = oneChildFee;
    }

    public BigDecimal getMedicalSubsidy() {
        return medicalSubsidy;
    }

    public void setMedicalSubsidy(BigDecimal medicalSubsidy) {
        this.medicalSubsidy = medicalSubsidy;
    }

    public BigDecimal getHealthCareFee() {
        return healthCareFee;
    }

    public void setHealthCareFee(BigDecimal healthCareFee) {
        this.healthCareFee = healthCareFee;
    }

    public BigDecimal getClassMealFee() {
        return classMealFee;
    }

    public void setClassMealFee(BigDecimal classMealFee) {
        this.classMealFee = classMealFee;
    }

    public BigDecimal getSoapFee() {
        return soapFee;
    }

    public void setSoapFee(BigDecimal soapFee) {
        this.soapFee = soapFee;
    }

    public BigDecimal getNursingFee() {
        return nursingFee;
    }

    public void setNursingFee(BigDecimal nursingFee) {
        this.nursingFee = nursingFee;
    }

    public BigDecimal getHeatstrokePreventionSubsidy() {
        return heatstrokePreventionSubsidy;
    }

    public void setHeatstrokePreventionSubsidy(BigDecimal heatstrokePreventionSubsidy) {
        this.heatstrokePreventionSubsidy = heatstrokePreventionSubsidy;
    }

    public BigDecimal getHeatingSubsidy() {
        return heatingSubsidy;
    }

    public void setHeatingSubsidy(BigDecimal heatingSubsidy) {
        this.heatingSubsidy = heatingSubsidy;
    }

    public BigDecimal getManuscriptFee() {
        return manuscriptFee;
    }

    public void setManuscriptFee(BigDecimal manuscriptFee) {
        this.manuscriptFee = manuscriptFee;
    }

    public BigDecimal getDriverAllowance() {
        return driverAllowance;
    }

    public void setDriverAllowance(BigDecimal driverAllowance) {
        this.driverAllowance = driverAllowance;
    }

    public BigDecimal getGraduateSettlementFee() {
        return graduateSettlementFee;
    }

    public void setGraduateSettlementFee(BigDecimal graduateSettlementFee) {
        this.graduateSettlementFee = graduateSettlementFee;
    }

    public BigDecimal getOneTimeDisabilitySubsidy() {
        return oneTimeDisabilitySubsidy;
    }

    public void setOneTimeDisabilitySubsidy(BigDecimal oneTimeDisabilitySubsidy) {
        this.oneTimeDisabilitySubsidy = oneTimeDisabilitySubsidy;
    }

    public BigDecimal getLectureAndExamFee() {
        return lectureAndExamFee;
    }

    public void setLectureAndExamFee(BigDecimal lectureAndExamFee) {
        this.lectureAndExamFee = lectureAndExamFee;
    }

    public BigDecimal getOtherSubsidies() {
        return otherSubsidies;
    }

    public void setOtherSubsidies(BigDecimal otherSubsidies) {
        this.otherSubsidies = otherSubsidies;
    }

    public BigDecimal getTotalPayment() {
        return totalPayment;
    }

    public void setTotalPayment(BigDecimal totalPayment) {
        this.totalPayment = totalPayment;
    }

    public BigDecimal getTotalSalaryDisbursement() {
        return totalSalaryDisbursement;
    }

    public void setTotalSalaryDisbursement(BigDecimal totalSalaryDisbursement) {
        this.totalSalaryDisbursement = totalSalaryDisbursement;
    }

    public WagesDetailsOriginalExcelDAO(String year, String month, String unitName, Integer peopleCount, BigDecimal wagesPayable, BigDecimal houseRent, BigDecimal accommodation, BigDecimal heatingFee, BigDecimal tradeUnionDues, BigDecimal compensationDeduction, BigDecimal otherDeductions, BigDecimal mutualMedicalAid, BigDecimal communicationFee, BigDecimal tax1, BigDecimal tax2, BigDecimal pensionInsurance, BigDecimal unemploymentInsurance, BigDecimal medicalInsurance, BigDecimal annuity, BigDecimal housingProvidentFund, BigDecimal enterpriseFund, BigDecimal annuityIncomeTax, BigDecimal totalWithholding, BigDecimal netSalary, BigDecimal oneChildFee, BigDecimal medicalSubsidy, BigDecimal healthCareFee, BigDecimal classMealFee, BigDecimal soapFee, BigDecimal nursingFee, BigDecimal heatstrokePreventionSubsidy, BigDecimal heatingSubsidy, BigDecimal manuscriptFee, BigDecimal driverAllowance, BigDecimal graduateSettlementFee, BigDecimal oneTimeDisabilitySubsidy, BigDecimal lectureAndExamFee, BigDecimal otherSubsidies, BigDecimal totalPayment, BigDecimal totalSalaryDisbursement) {
        this.year = year;
        this.month = month;
        this.unitName = unitName;
        this.peopleCount = peopleCount;
        this.wagesPayable = wagesPayable;
        this.houseRent = houseRent;
        this.accommodation = accommodation;
        this.heatingFee = heatingFee;
        this.tradeUnionDues = tradeUnionDues;
        this.compensationDeduction = compensationDeduction;
        this.otherDeductions = otherDeductions;
        this.mutualMedicalAid = mutualMedicalAid;
        this.communicationFee = communicationFee;
        this.tax1 = tax1;
        this.tax2 = tax2;
        this.pensionInsurance = pensionInsurance;
        this.unemploymentInsurance = unemploymentInsurance;
        this.medicalInsurance = medicalInsurance;
        this.annuity = annuity;
        this.housingProvidentFund = housingProvidentFund;
        this.enterpriseFund = enterpriseFund;
        this.annuityIncomeTax = annuityIncomeTax;
        this.totalWithholding = totalWithholding;
        this.netSalary = netSalary;
        this.oneChildFee = oneChildFee;
        this.medicalSubsidy = medicalSubsidy;
        this.healthCareFee = healthCareFee;
        this.classMealFee = classMealFee;
        this.soapFee = soapFee;
        this.nursingFee = nursingFee;
        this.heatstrokePreventionSubsidy = heatstrokePreventionSubsidy;
        this.heatingSubsidy = heatingSubsidy;
        this.manuscriptFee = manuscriptFee;
        this.driverAllowance = driverAllowance;
        this.graduateSettlementFee = graduateSettlementFee;
        this.oneTimeDisabilitySubsidy = oneTimeDisabilitySubsidy;
        this.lectureAndExamFee = lectureAndExamFee;
        this.otherSubsidies = otherSubsidies;
        this.totalPayment = totalPayment;
        this.totalSalaryDisbursement = totalSalaryDisbursement;
    }

    public WagesDetailsOriginalExcelDAO() {
    }
}
