package com.ruoyi.system.model.wages.vo;

import java.math.BigDecimal;

public class WagesOverviewOriginalDataVO {

    private int id;

    private String year;

    private String month;

    private String unitCode;

    private String unitName;

    private int workerCount;

    private BigDecimal workerWagesPayable;

    private int cadreCount;

    private BigDecimal cadreWagesPayable;

    private int totalCount;

    private BigDecimal totalWagesPayable;

    @Override
    public String toString() {
        return "WagesOverviewOriginalDataVO{" +
                "id=" + id +
                ", year='" + year + '\'' +
                ", month='" + month + '\'' +
                ", unitCode='" + unitCode + '\'' +
                ", unitName='" + unitName + '\'' +
                ", workerCount=" + workerCount +
                ", workerWagesPayable=" + workerWagesPayable +
                ", cadreCount=" + cadreCount +
                ", cadreWagesPayable=" + cadreWagesPayable +
                ", totalCount=" + totalCount +
                ", totalWagesPayable=" + totalWagesPayable +
                '}';
    }

    public WagesOverviewOriginalDataVO(int id, String year, String month, String unitCode, String unitName, int workerCount, BigDecimal workerWagesPayable, int cadreCount, BigDecimal cadreWagesPayable, int totalCount, BigDecimal totalWagesPayable) {
        this.id = id;
        this.year = year;
        this.month = month;
        this.unitCode = unitCode;
        this.unitName = unitName;
        this.workerCount = workerCount;
        this.workerWagesPayable = workerWagesPayable;
        this.cadreCount = cadreCount;
        this.cadreWagesPayable = cadreWagesPayable;
        this.totalCount = totalCount;
        this.totalWagesPayable = totalWagesPayable;
    }

    public WagesOverviewOriginalDataVO() {
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public int getWorkerCount() {
        return workerCount;
    }

    public void setWorkerCount(int workerCount) {
        this.workerCount = workerCount;
    }

    public BigDecimal getWorkerWagesPayable() {
        return workerWagesPayable;
    }

    public void setWorkerWagesPayable(BigDecimal workerWagesPayable) {
        this.workerWagesPayable = workerWagesPayable;
    }

    public int getCadreCount() {
        return cadreCount;
    }

    public void setCadreCount(int cadreCount) {
        this.cadreCount = cadreCount;
    }

    public BigDecimal getCadreWagesPayable() {
        return cadreWagesPayable;
    }

    public void setCadreWagesPayable(BigDecimal cadreWagesPayable) {
        this.cadreWagesPayable = cadreWagesPayable;
    }

    public int getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }

    public BigDecimal getTotalWagesPayable() {
        return totalWagesPayable;
    }

    public void setTotalWagesPayable(BigDecimal totalWagesPayable) {
        this.totalWagesPayable = totalWagesPayable;
    }


}

