package com.ruoyi.system.service.impl;

import com.alibaba.excel.EasyExcel;
import com.alibaba.fastjson.JSON;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.listener.LjtExcelListener;
import com.ruoyi.system.mapper.SalaryMapper;
import com.ruoyi.system.model.salary.LjtSalaryModel;
import com.ruoyi.system.service.LjtSalaryService;
import lombok.SneakyThrows;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.util.List;

@Service
public class LjtSalaryServiceImpl implements LjtSalaryService {

    private final SalaryMapper salaryMapper;

    public LjtSalaryServiceImpl(SalaryMapper salaryMapper) {
        this.salaryMapper = salaryMapper;
    }

    @Override
    @SneakyThrows
    public AjaxResult ljtSave(MultipartFile multipartFile, String salaryDate) {
        InputStream inputStream = multipartFile.getInputStream();
        LjtExcelListener<LjtSalaryModel>ljtExcelListener = new LjtExcelListener<>();
        //工资分析表
        EasyExcel.read(inputStream,LjtSalaryModel.class,ljtExcelListener).sheet(0).headRowNumber(1).doRead();
        List<LjtSalaryModel> ljtSalaryModelList = ljtExcelListener.getLjtSalaryModelList();
        System.err.println(JSON.toJSONString(ljtSalaryModelList));



        return null;
    }
}
